Gestione connessione Desktop remoto

Gestione connessione Desktop remoto consente di configurare e gestire risorse disponibili per gli utenti tramite Connessione RemoteApp e desktop. Tali risorse includono i Programmi RemoteApp e i desktop virtuali. I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Per un'introduzione a Connessione RemoteApp e desktop, vedere Panoramica di Connessione RemoteApp e desktop.

Per ulteriori informazioni su Connessione RemoteApp e desktop, vedere la pagina relativa a Servizi Desktop remoto nel sito Web TechCenter di Windows Server 2008 R2 (http://go.microsoft.com/fwlink/?LinkId=143108).

Sono inclusi gli argomenti seguenti:

  • Panoramica di Connessione RemoteApp e desktop

  • Elenco di controllo: configurare Connessione RemoteApp e desktop

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Configurare Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop


Panoramica di Connessione RemoteApp e desktop

Connessione RemoteApp e desktop consente agli amministratori di mettere a disposizione degli utenti un insieme di risorse, ad esempio Programmi RemoteApp e desktop virtuali. Gli utenti possono connettersi a Connessione RemoteApp e desktop in due modi:

  • Da un computer che esegue Windows 7. In questo caso le risorse che fanno parte di Connessione RemoteApp e desktop, se configurate, sono contenute in una cartella denominata Connessione RemoteApp e desktop visualizzabile facendo clic sul pulsante Start e scegliendo Tutti i programmi.

  • Da un Web browser accedendo al sito Web reso disponibile da Accesso Web Desktop remoto. In questo caso non è necessario un computer che esegue Windows 7.

Un amministratore può mettere a disposizione i tipi di risorse seguenti in Connessione RemoteApp e desktop:

  • Programmi RemoteApp ospitati in un server Host sessione Desktop remoto. I Programmi RemoteApp possono essere ospitati anche in una farm di server Host sessione Desktop remoto o in più farm di server Host sessione Desktop remoto.

  • Un desktop virtuale personale, ovvero una macchina virtuale ospitata in un server Host di virtualizzazione Desktop remoto e assegnata a un utente specifico in Servizi di dominio Active Directory. Per ulteriori informazioni, vedere Informazioni sui desktop personali virtuali.

  • Un pool di desktop virtuali, ovvero un gruppo di macchine virtuali configurate in modo identico che non sono assegnate a utenti specifici. Per ulteriori informazioni, vedere Informazioni sui pool di desktop virtuali.

Per organizzare queste risorse e renderle disponibili agli utenti tramite Connessione RemoteApp e desktop, l'amministratore utilizza lo strumento Gestione connessione Desktop remoto, disponibile in un server Gestore connessione Desktop remoto. Per ulteriori informazioni sulla configurazione di Connessione RemoteApp e desktop, vedere Elenco di controllo: configurare Connessione RemoteApp e desktop.

È possibile utilizzare Connessione RemoteApp e desktop da computer gestiti, vale a dire computer che sono membri di un dominio di Active Directory, o da computer non gestiti. In questo modo gli utenti hanno la possibilità di utilizzare Connessione RemoteApp e desktop sia dall'ufficio che da casa.

Dal Pannello di controllo di un computer che esegue Windows 7 un utente può configurare, aggiornare e rimuovere Connessione RemoteApp e desktop. Se un utente ha configurato Connessione RemoteApp e desktop in un computer che esegue Windows 7, le risorse che fanno parte di Connessione RemoteApp e desktop sono contenute in una cartella denominata Connessione RemoteApp e desktop visualizzabile facendo clic sul pulsante Start e scegliendo Tutti i programmi. Ciò consente all'utente di utilizzare Connessione RemoteApp e desktop come un qualunque programma installato. Connessione RemoteApp e desktop viene aggiornato automaticamente, pertanto se un amministratore aggiunge o rimuove una risorsa in Connessione RemoteApp e desktop, Connessione RemoteApp e desktop viene aggiornato automaticamente nel computer dell'utente.

Se non dispone di un computer che esegue Windows 7, l'utente può comunque accedere a Connessione RemoteApp e desktop da un Web browser tramite il sito Web messo a disposizione da Accesso Web Desktop remoto.

Per ulteriori informazioni su Connessione RemoteApp e desktop, vedere la pagina relativa a Servizi Desktop remoto nel sito Web TechCenter di Windows Server 2008 R2 (http://go.microsoft.com/fwlink/?LinkId=143108).

Ulteriori riferimenti

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop


Informazioni sui pool di desktop virtuali

È possibile raggruppare macchine virtuali configurate in modo identico che sono ospitate in server Host di virtualizzazione Desktop remoto in un pool di desktop virtuali e rendere tale pool di desktop virtuali disponibile agli utenti tramite Connessione RemoteApp e desktop. Poiché le macchine virtuali sono configurate in modo identico, l'utente vede lo stesso desktop virtuale, indipendentemente dalla macchina virtuale del pool di desktop virtuali a cui si connette.

Di seguito sono riportate alcune considerazioni importanti relative a un pool di desktop virtuali:

  • Le macchine virtuali in un pool di desktop virtuali dovrebbero essere configurate in modo identico, inclusi i programmi installati.

  • Una macchina virtuale può essere membro di un solo pool di desktop virtuali alla volta.

    Importante

    Una macchina virtuale non dovrebbe essere membro di un pool di desktop virtuali e contemporaneamente essere assegnata a un utente come desktop virtuale personale.

  • Un pool di desktop virtuali non viene assegnato a un utente specifico. Più utenti possono utilizzare lo stesso pool di desktop virtuali.

  • Solo un utente alla volta può utilizzare una macchina virtuale in un pool di desktop virtuali.

  • È possibile rendere disponibile più di un pool di desktop virtuali tramite Connessione RemoteApp e desktop. Ogni pool di desktop virtuali è identificato da un'icona diversa.

  • Gli utenti non dovrebbero salvare file in una macchina virtuale inclusa in un pool di desktop virtuali. Se un utente chiude la sessione di una macchina virtuale di un pool di desktop virtuali, al successivo accesso al pool di desktop virtuali l'utente potrebbe essere connesso a una macchina virtuale diversa del pool di desktop virtuali.

    Note
    • Se un utente si disconnette da una macchina virtuale di un pool di desktop virtuali, quando si riconnette al pool di desktop virtuali l'utente verrà connesso alla stessa macchina virtuale.
    • È possibile configurare una macchina virtuale di un pool di desktop virtuali in modo che venga ripristinato automaticamente il suo stato originale dopo la chiusura della sessione da parte dell'utente. Qualunque modifica effettuata da un utente durante la sessione viene annullata. Per ulteriori informazioni, vedere http://go.microsoft.com/fwlink/?LinkId=143453.

Ulteriori riferimenti

  • Configurare un pool di desktop virtuali per Connessione RemoteApp e desktop

  • Informazioni sui desktop personali virtuali

  • Panoramica di Connessione RemoteApp e desktop

  • Informazioni sulle assegnazioni di macchine virtuali


Informazioni sui desktop personali virtuali

Una macchina virtuale specifica ospitata in un server Host di virtualizzazione Desktop remoto può essere assegnata a un utente in Servizi di dominio Active Directory per essere utilizzata come desktop virtuale personale, a cui l'utente può quindi accedere tramite Connessione RemoteApp e desktop.

Quando si assegna un desktop virtuale personale a un utente in Servizi di dominio Active Directory, sono importanti le considerazioni seguenti:

  • L'utente e la macchina virtuale devono essere entrambi membri di un dominio Active Directory.

  • A un utente è possibile assegnare un solo desktop virtuale personale alla volta.

  • Una macchina virtuale può essere assegnata come desktop virtuale personale a un solo utente alla volta.

  • Il livello funzionale del dominio Active Directory deve essere almeno Windows Server 2008.

  • Il nome della macchina virtuale nello strumento Console di gestione di Hyper-V deve corrispondere al nome di dominio completo (FQDN) del computer.

Per assegnare una macchina virtuale specifica a un utente come desktop virtuale personale, utilizzare uno degli strumenti seguenti:

  • Assegnazione guidata desktop personale virtuale nello strumento Gestione connessione Desktop remoto.

  • Strumento Utenti e computer di Active Directory di Windows Server 2008 R2.

Importante

Una macchina virtuale non dovrebbe essere membro di un pool di desktop virtuali e contemporaneamente essere assegnata a un utente come desktop virtuale personale.

Ulteriori riferimenti

  • Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop

  • Informazioni sui pool di desktop virtuali

  • Panoramica di Connessione RemoteApp e desktop

  • Informazioni sulle assegnazioni di macchine virtuali


Elenco di controllo: configurare Connessione RemoteApp e desktop

Negli elenchi di controllo seguenti vengono illustrate le attività che un amministratore deve completare per rendere disponibili agli utenti i Programmi RemoteApp e i desktop virtuali tramite Connessione RemoteApp e desktop.

Nota

I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Oltre agli elenchi di controllo, di seguito sono riportare alcune considerazioni importanti sulla distribuzione e l'accesso a Connessione RemoteApp e desktop:

  • Per accedere a Connessione RemoteApp e desktop dal menu Start di un computer client, il computer deve eseguire Windows 7.

  • Per accedere a Connessione RemoteApp e desktop da un Web browser, il computer client deve utilizzare almeno Connessione desktop remoto 6.1 e almeno Internet Explorer 6.

  • Per offrire agli utenti l'accesso a Connessione RemoteApp e desktop dal menu Start o da un Web browser, è necessario installare e configurare il servizio ruolo Accesso Web Desktop remoto in un computer che esegue Windows Server 2008 R2.

  • Per offrire agli utenti l'accesso ai desktop personali virtuali, il livello funzionale del dominio di Active Directory deve essere almeno Windows Server 2008.

  • Tutti i server devono essere membri di un dominio di Active Directory.

Elenco di controllo per rendere disponibili solo programmi RemoteApp

Utilizzare l'elenco di controllo seguente se si rendono disponibili agli utenti solo i Programmi RemoteApp tramite Connessione RemoteApp e desktop.

Attività | Riferimento
Installare e configurare un'Origine RemoteApp. | Configurare un'origine RemoteApp per Connessione RemoteApp e desktop
Installare e configurare un server Gestore connessione Desktop remoto. | Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop
Installare e configurare un server Accesso Web Desktop remoto. | Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop
Rendere disponibili agli utenti Programmi RemoteApp da un'Origine RemoteApp. | Aggiungere un'origine RemoteApp per Connessione RemoteApp e desktop
Specificare il nome visualizzato agli utenti per identificare Connessione RemoteApp e desktop. | Configurare le proprietà di Connessione RemoteApp e desktop
Specificare i server Accesso Web Desktop remoto tramite i quali si rende disponibile Connessione RemoteApp e desktop agli utenti. | Configurare le proprietà di Connessione RemoteApp e desktop
Creare un file di configurazione di Connessione RemoteApp e desktop da distribuire agli utenti. (Facoltativo) | Creare un file di configurazione client per Connessione RemoteApp e desktop

Elenco di controllo per rendere disponibili solo desktop virtuali

Utilizzare l'elenco di controllo seguente se si rendono disponibili agli utenti solo desktop virtuali tramite Connessione RemoteApp e desktop.

Attività | Riferimento
Installare e configurare un server Host di virtualizzazione Desktop remoto. | Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop
Installare e configurare un server Gestore connessione Desktop remoto. | Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop
Installare e configurare un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali. | Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali
Installare e configurare un server Accesso Web Desktop remoto. | Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop
Specificare il nome visualizzato agli utenti per identificare Connessione RemoteApp e desktop. | Configurare le proprietà di Connessione RemoteApp e desktop
Specificare i server Accesso Web Desktop remoto tramite i quali si rende disponibile Connessione RemoteApp e desktop agli utenti. | Configurare le proprietà di Connessione RemoteApp e desktop
Configurare Gestore connessione Desktop remoto per utilizzare i server necessari per supportare i desktop virtuali. | Configurare desktop virtuali per Connessione RemoteApp e desktop
Configurare le impostazioni di reindirizzamento per i desktop virtuali. | Configurare le impostazioni di reindirizzamento per i desktop virtuali
Configurare le impostazioni per i desktop virtuali, ad esempio le impostazioni di Gateway Desktop remoto o le impostazioni RDP. | Configurare le impostazioni dei desktop virtuali
Creare un pool di desktop virtuali. | Configurare un pool di desktop virtuali per Connessione RemoteApp e desktop
Assegnare un desktop virtuale personale a un utente. | Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop
Creare un file di configurazione di Connessione RemoteApp e desktop da distribuire agli utenti. (Facoltativo) | Creare un file di configurazione client per Connessione RemoteApp e desktop

Ulteriori riferimenti

  • Panoramica di Connessione RemoteApp e desktop

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Configurare Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali


Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

In questa sezione sono descritte le procedure per l'installazione e la configurazione dei server necessari per Connessione RemoteApp e desktop. Sono inclusi gli argomenti seguenti:

  • Configurare un'origine RemoteApp per Connessione RemoteApp e desktop

  • Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

  • Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop

  • Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop

  • Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali

Ulteriori riferimenti

  • Elenco di controllo: configurare Connessione RemoteApp e desktop

  • Panoramica di Connessione RemoteApp e desktop


Configurare un'origine RemoteApp per Connessione RemoteApp e desktop

Un'Origine RemoteApp è un singolo server Host sessione Desktop remoto o una farm di server Host sessione Desktop remoto configurati in modo identico. Quando si aggiunge un'Origine RemoteApp utilizzando lo strumento Gestione connessione Desktop remoto, i Programmi RemoteApp inclusi in quella Origine RemoteApp sono disponibili tramite Connessione RemoteApp e desktop.

Nota

Il server Host sessione Desktop remoto può eseguire sia Windows Server 2008 R2 che Windows Server 2008.

Per configurare un server per ospitare Programmi RemoteApp da utilizzare per Connessione RemoteApp e desktop, eseguire le procedure seguenti:

  • Installare il servizio ruolo Host sessione Desktop remoto

  • Configurare un server host sessione Desktop remoto per ospitare programmi RemoteApp

Ulteriori riferimenti

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Aggiungere un'origine RemoteApp per Connessione RemoteApp e desktop


Installare il servizio ruolo Host sessione Desktop remoto

Per installare il servizio ruolo Host sessione Desktop remoto, utilizzare la procedura seguente.

Importante

L'installazione del servizio ruolo Host sessione Desktop remoto richiede il riavvio del computer.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Host sessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per installare il servizio ruolo Host sessione Desktop remoto

  1. Nel server in cui si desidera installare il servizio ruolo Host sessione Desktop remoto, aprire Server Manager. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Se il ruolo Servizi Desktop remoto non è ancora installato:

    1. In Riepilogo ruoli fare clic su Aggiungi ruoli.

    2. Nella pagina Prima di iniziare dell'Aggiunta guidata ruoli fare clic su Avanti.

    3. Nella pagina Selezione ruoli server selezionare la casella di controllo Servizi Desktop remoto e quindi fare clic su Avanti.

    4. Nella pagina Servizi Desktop remoto fare clic su Avanti.

    5. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Host sessione Desktop remoto e quindi fare clic su Avanti.

    Se il ruolo Servizi Desktop remoto è già installato:

    1. In Riepilogo ruoli fare clic su Servizi Desktop remoto.

    2. In Servizi ruolo fare clic su Aggiungi servizi ruolo.

    3. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Host sessione Desktop remoto e quindi fare clic su Avanti.

  3. Nella pagina Disinstallazione e reinstallazione di applicazioni per la compatibilità fare clic su Avanti.

  4. Nella pagina Impostazione del metodo di autenticazione per Host sessione Desktop remoto selezionare il metodo di autenticazione desiderato e quindi fare clic su Avanti.

    Nota

    Se i computer client che eseguono Windows XP utilizzeranno questo server Host sessione Desktop remoto, selezionare Non richiedere Autenticazione a livello di rete.

  5. Nella pagina Impostazione modalità di gestione licenze selezionare la modalità di gestione licenze appropriata per l'ambiente di Servizi Desktop remoto e quindi fare clic su Avanti.

  6. Nella pagina Selezione dei gruppi di utenti autorizzati ad accedere al server Host sessione Desktop remoto selezionare gli utenti o i gruppi di utenti che si desidera aggiungere al gruppo Utenti desktop remoto e quindi fare clic su Avanti.

  7. Nella pagina Configura esperienza client selezionare l'esperienza client che si desidera offrire e quindi fare clic su Avanti.

  8. Nella pagina Conferma selezioni per l'installazione verificare che il servizio ruolo Host sessione Desktop remoto sia elencato e quindi fare clic su Installa.

  9. Nella pagina Stato installazione verrà indicato lo stato di avanzamento dell'installazione.

  10. Nella pagina Risultati installazione verrà richiesto di riavviare il server per completare il processo di installazione. Fare clic su Chiudi e quindi su Sì per riavviare il server.

  11. Se viene segnalato che altri programmi sono ancora in esecuzione, eseguire una delle operazioni seguenti:

    • Per chiudere i programmi manualmente e riavviare il server in un secondo momento, fare clic su Annulla.

    • Per chiudere i programmi automaticamente e riavviare il server, fare clic su Forza riavvio e quindi su Sì.

  12. Dopo aver riavviato il server e aver eseguito l'accesso al computer con lo stesso account utente, verranno completati gli altri passaggi dell'installazione. Quando viene visualizzata la pagina Risultati installazione, verificare che l'installazione del servizio ruolo Host sessione Desktop remoto sia stata completata e quindi fare clic su Chiudi.

Ulteriori riferimenti

  • Configurare un server host sessione Desktop remoto per ospitare programmi RemoteApp

  • Configurare un'origine RemoteApp per Connessione RemoteApp e desktop


Configurare un server host sessione Desktop remoto per ospitare programmi RemoteApp

Per configurare un server Host sessione Desktop remoto per ospitare i Programmi RemoteApp, è necessario eseguire le operazioni seguenti:

  • Installare programmi nel server Host sessione Desktop remoto.

  • Aggiungere programmi all'elenco di programmi RemoteApp.

  • Verificare che i Programmi RemoteApp siano disponibili tramite Accesso Web Desktop remoto.

Per ulteriori informazioni sull'esecuzione di queste procedure, vedere la Guida di Gestione RemoteApp in Windows Server 2008 R2.

È inoltre necessario eseguire le operazioni seguenti nel server Host sessione Desktop remoto che ospita i Programmi RemoteApp:

  • Aggiungere gli utenti e i gruppi che hanno la necessità di accedere ai Programmi RemoteApp al gruppo Utenti desktop remoto.

  • Aggiungere l'account computer per il server Gestore connessione Desktop remoto appropriato al gruppo Computer Accesso Web di Servizi terminal.

    Nota

    Il server Gestore connessione Desktop remoto appropriato è il server Gestore connessione Desktop remoto che rende disponibili agli utenti i Programmi RemoteApp nel server Host sessione Desktop remoto tramite Connessione RemoteApp e desktop.

Configurare il gruppo Utenti desktop remoto

Per impostazione predefinita, le connessioni remote vengono attivate dopo l'installazione del servizio ruolo Host sessione Desktop remoto. È possibile utilizzare la procedura seguente per aggiungere utenti e gruppi che hanno la necessità di accedere ai programmi RemoteApp nel server Host sessione Desktop remoto.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Host sessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare il gruppo Utenti desktop remoto

  1. Nel server Host sessione Desktop remoto che ospita i Programmi RemoteApp, avviare lo strumento Sistema. A tale scopo, fare clic sul pulsante Start, scegliere Esegui, digitare control system e quindi fare clic su OK.

  2. Nel riquadro sinistro della finestra Sistema fare clic su Impostazioni di connessione remota.

  3. Nella scheda Connessione remota della finestra di dialogo Proprietà del sistema fare clic su Seleziona utenti e quindi su Aggiungi.

  4. Nella finestra di dialogo Seleziona Utenti o Gruppi aggiungere gli utenti e i gruppi appropriati. Gli utenti e i gruppi aggiunti verranno inseriti nel gruppo Utenti desktop remoto nel server Host sessione Desktop remoto.

    Nota

    I membri del gruppo Administrators locale possono connettersi anche se non sono presenti nell'elenco.

  5. Dopo aver aggiunto gli utenti e i gruppi appropriati, fare clic su OK per chiudere la finestra di dialogo Seleziona Utenti o Gruppi, fare clic su OK per chiudere la finestra di dialogo Utenti desktop remoto e quindi fare clic su OK per chiudere la finestra di dialogo Proprietà del sistema.

Configurare il gruppo Computer Accesso Web di Servizi terminal

È necessario aggiungere l'account computer per il server Gestore connessione Desktop remoto appropriato al gruppo Computer Accesso Web di Servizi terminal nel server Host sessione Desktop remoto.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Host sessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare il gruppo Computer Accesso Web di Servizi terminal

  1. Nel server Host sessione Desktop remoto che ospita i Programmi RemoteApp fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione computer.

  2. Nel riquadro sinistro espandere Utenti e gruppi locali e quindi fare clic su Gruppi.

  3. Nel riquadro destro fare doppio clic su Computer Accesso Web di Servizi terminal.

  4. Nella finestra di dialogo delle proprietà di Computer Accesso Web di Servizi terminal fare clic su Aggiungi.

  5. Nella finestra di dialogo Selezione Utenti, Computer, Account servizio o Gruppi fare clic su Tipi di oggetto.

  6. Nella finestra di dialogo Tipi di oggetto selezionare la casella di controllo Computer e quindi fare clic su OK.

  7. Nella casella Immettere i nomi degli oggetti da selezionare specificare l'account computer del server Gestore connessione Desktop remoto appropriato e quindi fare clic su OK.

  8. Fare clic su OK per chiudere la finestra di dialogo delle proprietà di Computer Accesso Web di Servizi terminal.

Ulteriori riferimenti

  • Installare il servizio ruolo Host sessione Desktop remoto

  • Configurare un'origine RemoteApp per Connessione RemoteApp e desktop


Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

Per configurare un server per ospitare macchine virtuali e rendere disponibili desktop virtuali agli utenti tramite Connessione RemoteApp e desktop, eseguire le procedure seguenti in un computer che esegue Windows Server 2008 R2:

  • Installare il servizio ruolo Host di virtualizzazione Desktop remoto

  • Creare e configurare macchine virtuali in un server Host di virtualizzazione Desktop remoto

Nota

Un server Host di virtualizzazione Desktop remoto è necessario solo se si prevede di rendere disponibili i desktop virtuali agli utenti tramite Connessione RemoteApp e desktop. I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Ulteriori riferimenti

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop


Installare il servizio ruolo Host di virtualizzazione Desktop remoto

Per installare il servizio ruolo Host di virtualizzazione Desktop remoto, utilizzare la procedura seguente.

Importante
  • Quando si installa il servizio ruolo Host di virtualizzazione Desktop remoto, viene installato anche il ruolo Hyper-V, nel caso non sia già installato. Il computer in cui si installa il servizio ruolo Host di virtualizzazione Desktop remoto deve pertanto soddisfare i requisiti hardware per il ruolo Hyper-V. Per ulteriori informazioni sui requisiti hardware per Hyper-V, vedere la pagina relativa alle considerazioni sull'hardware.
  • L'installazione del servizio ruolo Host di virtualizzazione Desktop remoto richiede il riavvio del computer.

Per eseguire questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Host di virtualizzazione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per installare il servizio ruolo Host di virtualizzazione Desktop remoto

  1. Nel server in cui si desidera installare il servizio ruolo Host di virtualizzazione Desktop remoto, aprire Server Manager. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Se il ruolo Servizi Desktop remoto non è ancora installato:

    1. In Riepilogo ruoli fare clic su Aggiungi ruoli.

    2. Nella pagina Prima di iniziare dell'Aggiunta guidata ruoli fare clic su Avanti.

    3. Nella pagina Selezione ruoli server selezionare la casella di controllo Servizi Desktop remoto.

    4. Nella pagina Servizi Desktop remoto fare clic su Avanti.

    5. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Host di virtualizzazione Desktop remoto.

    Se il ruolo Servizi Desktop remoto è già installato:

    1. In Riepilogo ruoli fare clic su Servizi Desktop remoto.

    2. In Servizi ruolo fare clic su Aggiungi servizi ruolo.

    3. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Host di virtualizzazione Desktop remoto e quindi fare clic su Avanti.

  3. Esaminare le informazioni relative all'aggiunta del ruolo necessario (Hyper-V) e quindi fare clic su Aggiungi servizi ruolo necessari.

  4. Fare clic su Avanti.

  5. Nella pagina Hyper-V fare clic su Avanti.

  6. Nella pagina Crea reti virtuali fare clic su una o più schede di rete se si desidera rendere la relativa connessione di rete disponibile alle macchine virtuali e quindi fare clic su Avanti.

  7. Nella pagina Conferma selezioni per l'installazione verificare che il servizio ruolo Host di virtualizzazione Desktop remoto e il ruolo Hyper-V siano elencati e quindi fare clic su Installa.

  8. Nella pagina Stato installazione verrà indicato lo stato di avanzamento dell'installazione.

  9. Nella pagina Risultati installazione verrà richiesto di riavviare il server per completare il processo di installazione. Fare clic su Chiudi e quindi su Sì per riavviare il server.

  10. Se viene segnalato che altri programmi sono ancora in esecuzione, eseguire una delle operazioni seguenti:

    • Per chiudere i programmi manualmente e riavviare il server in un secondo momento, fare clic su Annulla.

    • Per chiudere i programmi automaticamente e riavviare il server, fare clic su Forza riavvio e quindi su Sì.

  11. Dopo aver riavviato il server e aver eseguito l'accesso al computer con lo stesso account utente, verranno completati gli altri passaggi dell'installazione. Quando viene visualizzata la pagina Risultati installazione, verificare che l'installazione del servizio ruolo Host di virtualizzazione Desktop remoto e del ruolo Hyper-V sia stata completata e quindi fare clic su Chiudi.

Ulteriori riferimenti

  • Creare e configurare macchine virtuali in un server Host di virtualizzazione Desktop remoto

  • Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop


Creare e configurare macchine virtuali in un server Host di virtualizzazione Desktop remoto

Per creare e configurare macchine virtuali in un server Host di virtualizzazione Desktop remoto, utilizzare lo strumento Console di gestione di Hyper-V. Per ulteriori informazioni sulla creazione di macchine virtuali utilizzando lo strumento Console di gestione di Hyper-V, vedere la guida introduttiva a Hyper-V.

Configurare il sistema operativo nella macchina virtuale

La macchine virtuali a cui gli utenti accedono tramite Connessione RemoteApp e desktop possono eseguire uno dei sistemi operativi seguenti: Windows 7, Microsoft Windows Vista o Windows XP.

Importante

Il nome della macchina virtuale nello strumento Console di gestione di Hyper-V deve corrispondere al nome di dominio completo (FQDN) del computer.

Dopo aver creato la macchina virtuale e installato un sistema operativo, è necessario configurare il sistema operativo della macchina virtuale in modo che possa essere utilizzato come desktop virtuale in Connessione RemoteApp e desktop. È necessario eseguire le operazioni seguenti:

  • Unire il computer a un dominio di Active Directory.

  • Attivare Desktop remoto.

  • Configurare il gruppo Utenti desktop remoto locale. Per accedere alla macchina virtuale, ogni utente deve essere un membro del gruppo Utenti desktop remoto locale.

  • Aggiungere l'account computer per il server Host di virtualizzazione Desktop remoto al gruppo Administrators locale.

  • Installare i servizi di integrazione più recenti per Hyper-V. Per ulteriori informazioni, vedere la guida introduttiva a Hyper-V. Windows 7 include i servizi di integrazione più recenti per Hyper-V.

  • In Windows Firewall configurare un'eccezione per Desktop remoto e Gestione remota servizi.

  • Nel Registro di sistema impostare su 1 il valore della voce AllowRemoteRPC, che si trova nella sottochiave seguente: HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\Terminal Server.

Per ulteriori informazioni sulla configurazione delle macchine virtuali da utilizzare con Connessione RemoteApp e desktop, vedere http://go.microsoft.com/fwlink/?LinkId=143453.

Ulteriori riferimenti

  • Installare il servizio ruolo Host di virtualizzazione Desktop remoto

  • Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop


Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop

Per configurare le risorse per renderle disponibili agli utenti tramite Connessione RemoteApp e desktop, eseguire le procedure seguenti in un computer che esegue Windows Server 2008 R2:

  • Installare il servizio ruolo Gestore connessione Desktop remoto

  • Configurare i gruppi di sicurezza in un server Gestore connessione Desktop remoto

Ulteriori riferimenti

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Eseguire Gestione connessione Desktop remoto


Installare il servizio ruolo Gestore connessione Desktop remoto

Per installare il servizio ruolo Gestore connessione Desktop remoto, utilizzare la procedura seguente.

Nota

Il computer in cui si installa il servizio ruolo Gestore connessione Desktop remoto deve essere membro di un dominio di Active Directory.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per installare il servizio ruolo Gestore connessione Desktop remoto

  1. Nel server in cui si desidera installare il servizio ruolo Gestore connessione Desktop remoto, aprire Server Manager. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Se il ruolo Servizi Desktop remoto non è ancora installato:

    1. In Riepilogo ruoli fare clic su Aggiungi ruoli.

    2. Nella pagina Prima di iniziare dell'Aggiunta guidata ruoli fare clic su Avanti.

    3. Nella pagina Selezione ruoli server selezionare la casella di controllo Servizi Desktop remoto e quindi fare clic su Avanti.

    4. Nella pagina Servizi Desktop remoto fare clic su Avanti.

    5. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Gestore connessione Desktop remoto e quindi fare clic su Avanti.

    Se il ruolo Servizi Desktop remoto è già installato:

    1. In Riepilogo ruoli fare clic su Servizi Desktop remoto.

    2. In Servizi ruolo fare clic su Aggiungi servizi ruolo.

    3. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Gestore connessione Desktop remoto e quindi fare clic su Avanti.

  3. Nella pagina Conferma selezioni per l'installazione verificare che il servizio ruolo Gestore connessione Desktop remoto sia elencato e quindi fare clic su Installa.

  4. Nella pagina Stato installazione verrà indicato lo stato di avanzamento dell'installazione.

  5. Nella pagina Risultati installazione verificare che l'installazione del servizio ruolo Gestore connessione Desktop remoto sia stata completata e quindi fare clic su Chiudi.

Ulteriori riferimenti

  • Configurare i gruppi di sicurezza in un server Gestore connessione Desktop remoto

  • Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop

  • Eseguire Gestione connessione Desktop remoto


Configurare i gruppi di sicurezza in un server Gestore connessione Desktop remoto

È necessario configurare i due gruppi di sicurezza seguenti nel server Gestore connessione Desktop remoto:

  • Computer Accesso Web di Servizi terminal

  • Computer broker di sessione

Configurare il gruppo Computer Accesso Web di Servizi terminal

Affinché un server Accesso Web Desktop remoto sia in grado di visualizzare Connessione RemoteApp e desktop da un server Gestore connessione Desktop remoto, l'account computer per il server Accesso Web Desktop remoto deve essere un membro del gruppo Computer Accesso Web di Servizi terminal nel server Gestore connessione Desktop remoto.

È inoltre necessario aggiungere l'account computer per il server Gestore connessione Desktop remoto al gruppo Computer Accesso Web di Servizi terminal.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Host sessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare il gruppo Computer Accesso Web di Servizi terminal

  1. Nel server Gestore connessione Desktop remoto fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione computer.

  2. Nel riquadro sinistro espandere Utenti e gruppi locali e quindi fare clic su Gruppi.

  3. Nel riquadro destro fare doppio clic su Computer Accesso Web di Servizi terminal.

  4. Nella finestra di dialogo delle proprietà di Computer Accesso Web di Servizi terminal fare clic su Aggiungi.

  5. Nella finestra di dialogo Selezione Utenti, Computer, Account servizio o Gruppi fare clic su Tipi di oggetto.

  6. Nella finestra di dialogo Tipi di oggetto selezionare la casella di controllo Computer e quindi fare clic su OK.

  7. Nella casella Immettere i nomi degli oggetti da selezionare specificare gli account computer del server Accesso Web Desktop remoto e del server Gestore connessione Desktop remoto e quindi fare clic su OK.

  8. Fare clic su OK per chiudere la finestra di dialogo delle proprietà di Computer Accesso Web di Servizi terminal.

È inoltre possibile aggiungere l'account computer per il server Accesso Web Desktop remoto al gruppo Computer Accesso Web di Servizi terminal utilizzando lo strumento Gestione connessione Desktop remoto. Per ulteriori informazioni, vedere Configurare le proprietà di Connessione RemoteApp e desktop.

Configurare il gruppo Computer broker di sessione

Se è stato installato e configurato un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali, è necessario aggiungere l'account computer per quel computer al gruppo Computer broker di sessione nel server Gestore connessione Desktop remoto. Per informazioni sulla configurazione di un server Host sessione Desktop remoto per il reindirizzamento, vedere Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali.

Se è stata distribuita una server farm Host sessione Desktop remoto con carico bilanciato per mettere a disposizione i Programmi RemoteApp tramite Connessione RemoteApp e desktop, aggiungere l'account computer per ogni server Host sessione Desktop remoto nella server farm Host sessione Desktop remoto con carico bilanciato al gruppo Computer broker di sessione.

Nota

Il gruppo Computer broker di sessione nel server Gestore connessione Desktop remoto deve inoltre contenere gli account computer per qualunque server Host di virtualizzazione Desktop remoto che ospiti macchine virtuali utilizzate per Connessione RemoteApp e desktop. L'account computer per un server Host di virtualizzazione Desktop remoto viene automaticamente aggiunto al gruppo Computer broker di sessione quando si aggiunge il server Host di virtualizzazione Desktop remoto tramite lo strumento Gestione connessione Desktop remoto. Per ulteriori informazioni, vedere Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare il gruppo Computer broker di sessione

  1. Nel server Gestore connessione Desktop remoto fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi Gestione computer.

  2. Nel riquadro sinistro espandere Utenti e gruppi locali e quindi fare clic su Gruppi.

  3. Nel riquadro destro fare doppio clic su Computer broker di sessione.

  4. Nella finestra di dialogo delle proprietà di Computer broker di sessione fare clic su Aggiungi.

  5. Nella finestra di dialogo Selezione Utenti, Computer, Account servizio o Gruppi fare clic su Tipi di oggetto.

  6. Selezionare la casella di controllo Computer e quindi fare clic su OK.

  7. Nella casella Immettere i nomi degli oggetti da selezionare specificare l'account computer per ogni server Host sessione Desktop remoto che si desidera aggiungere e quindi fare clic su OK.

  8. Fare clic su OK per chiudere la finestra di dialogo delle proprietà di Computer broker di sessione.

Ulteriori riferimenti

  • Installare il servizio ruolo Gestore connessione Desktop remoto

  • Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop

  • Eseguire Gestione connessione Desktop remoto


Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop

Per consentire agli utenti l'accesso a Connessione RemoteApp e desktop, eseguire le procedure seguenti in un computer che esegue Windows Server 2008 R2:

  • Installare il servizio ruolo Accesso Web Desktop remoto

  • Configurare un'origine per Accesso Web Desktop remoto

Ulteriori riferimenti

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop utilizzando il sito Web di Accesso Web Desktop remoto


Installare il servizio ruolo Accesso Web Desktop remoto

Installare il servizio ruolo Accesso Web Desktop remoto nel server a cui si desidera che gli utenti si connettano attraverso il Web per accedere a Connessione RemoteApp e desktop. Quando si installa il servizio ruolo Accesso Web Desktop remoto, viene installato anche Microsoft Internet Information Services (IIS).

Il server in cui si installa Accesso Web Desktop remoto funge da server Web e non deve necessariamente essere un server Host sessione Desktop remoto o Gestore connessione Desktop remoto.

Per installare il servizio ruolo Accesso Web Desktop remoto, utilizzare la procedura seguente.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per installare il servizio ruolo Accesso Web Desktop remoto

  1. Nel computer in cui si desidera installare il servizio ruolo Accesso Web Desktop remoto, aprire Server Manager. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Se il ruolo Servizi Desktop remoto non è ancora installato:

    1. In Riepilogo ruoli fare clic su Aggiungi ruoli.

    2. Nella pagina Prima di iniziare fare clic su Avanti.

    3. Nella pagina Selezione ruoli server selezionare la casella di controllo Servizi Desktop remoto e quindi fare clic su Avanti.

    4. Esaminare la pagina Servizi Desktop remoto e quindi fare clic su Avanti.

    5. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Accesso Web Desktop remoto.

    Se il ruolo Servizi Desktop remoto è già installato:

    1. In Riepilogo ruoli fare clic su Servizi Desktop remoto.

    2. In Servizi ruolo fare clic su Aggiungi servizi ruolo.

    3. Nella pagina Selezione servizi ruolo selezionare la casella di controllo Accesso Web Desktop remoto.

  3. Esaminare le informazioni sui servizi ruolo necessari e quindi fare clic su Aggiungi servizi ruolo necessari.

  4. Fare clic su Avanti.

  5. Esaminare la pagina Server Web (IIS) e quindi fare clic su Avanti.

  6. Nella pagina Selezione servizi ruolo, in cui viene richiesto di selezionare i servizi ruolo che si desidera installare per IIS, fare clic su Avanti.

  7. Nella pagina Conferma selezioni per l'installazione verificare che il servizio ruolo Accesso Web Desktop remoto sia elencato e quindi fare clic su Installa.

  8. Nella pagina Stato installazione verrà indicato lo stato di avanzamento dell'installazione.

  9. Nella pagina Risultati installazione verificare che l'installazione del servizio ruolo Accesso Web Desktop remoto sia stata completata e quindi fare clic su Chiudi.

Dopo aver installato il servizio ruolo Accesso Web Desktop remoto, è necessario aggiungere l'account computer per il server Accesso Web Desktop remoto al gruppo Computer Accesso Web di Servizi terminal nel server Gestore connessione Desktop remoto. Per ulteriori informazioni, vedere Configurare i gruppi di sicurezza in un server Gestore connessione Desktop remoto.

Ulteriori riferimenti

  • Configurare un'origine per Accesso Web Desktop remoto

  • Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop


Configurare un'origine per Accesso Web Desktop remoto

Per consentire agli utenti l'accesso a Connessione RemoteApp e desktop, è necessario configurare Accesso Web Desktop remoto specificando l'origine che mette a disposizione i Programmi RemoteApp e i desktop virtuali visualizzati agli utenti. È possibile configurare Accesso Web Desktop remoto in modo che utilizzi uno degli elementi seguenti:

  • Un server Gestore connessione Desktop remoto

  • Una o più di un'Origine RemoteApp

Un server Gestore connessione Desktop remoto offre agli utenti l'accesso ai desktop virtuali ospitati nei server Host di virtualizzazione Desktop remoto e ai Programmi RemoteApp ospitati nei server Host sessione Desktop remoto. Per configurare il server Gestore connessione Desktop remoto, utilizzare lo strumento Gestione connessione Desktop remoto.

Un'Origine RemoteApp è un singolo server Host sessione Desktop remoto o una farm di server Host sessione Desktop remoto configurati in modo identico in cui sono stati configurati i Programmi RemoteApp. È possibile specificare più di un'Origine RemoteApp. Per configurare i Programmi RemoteApp in un server Host sessione Desktop remoto, utilizzare Gestione RemoteApp.

Per specificare l'origine utilizzata da Accesso Web Desktop remoto per Connessione RemoteApp e desktop, utilizzare la procedura seguente.

Per completare questa procedura, è necessario accedere utilizzando l'account Administrator locale nel server Accesso Web Desktop remoto o un account che sia membro del gruppo Amministratori Accesso Web di Servizi terminal nel server Accesso Web Desktop remoto. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per specificare l'origine per Connessione RemoteApp e desktop

  1. Connettersi al sito Web di Accesso Web Desktop remoto. A tale scopo, utilizzare una delle modalità seguenti:

    • Nel server Accesso Web Desktop remoto fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Configurazione di Accesso Web Desktop remoto.

    • Utilizzare Internet Explorer per connettersi al sito Web di Accesso Web Desktop remoto. Per impostazione predefinita, il sito Web si trova all'indirizzo seguente, dove server_name è il nome di dominio completo (FQDN) del server Accesso Web Desktop remoto:

      https://server_name/rdweb

  2. Accedere al sito Web utilizzando l'account Administrator locale nel server Accesso Web Desktop remoto o un account che sia membro del gruppo Amministratori Accesso Web di Servizi terminal nel server Accesso Web Desktop remoto.

  3. Sulla barra del titolo fare clic su Configurazione.

    Nota

    Se si accede al sito Web di Accesso Web Desktop remoto utilizzando l'opzione Configurazione di Accesso Web Desktop remoto, la pagina verrà automaticamente aperta nella pagina Configurazione.

  4. Selezionare Un server Gestore connessione Desktop remoto o Una o più origini RemoteApp.

    Se si seleziona Un server Gestore connessione Desktop remoto, nella casella Nome origine immettere il nome NetBIOS o il nome di dominio completo del server Gestore connessione Desktop remoto.

    Se si seleziona Una o più origini RemoteApp, nella casella Nome origine immettere il nome NetBIOS o il nome di dominio completo dell'Origine RemoteApp. Se si utilizza una server farm Host sessione Desktop remoto come Origine RemoteApp, specificare il nome DNS della farm. Se si specifica più di un'Origine RemoteApp, separare ogni nome con un punto e virgola.

  5. Fare clic su OK per salvare le modifiche.

Se è stato selezionato Un server Gestore connessione Desktop remoto, è possibile specificare il nome e l'ID della connessione utilizzando lo strumento Gestione connessione Desktop remoto nel server Gestore connessione Desktop remoto. Per ulteriori informazioni, vedere Configurare le proprietà di Connessione RemoteApp e desktop.

Se è stato selezionato Una o più origini RemoteApp, è necessario specificare un nome e un ID di connessione. Il nome della connessione viene utilizzato per identificare Connessione RemoteApp e desktop messo a disposizione dell'utente dal server Accesso Web Desktop remoto. Per specificare il nome e l'ID di connessione, nel server Accesso Web Desktop remoto aprire il file %windir%\web\RDWeb\App_Data\RDWebAccess.config in un editor di testo, ad esempio Blocco note.

Ulteriori riferimenti

  • Installare il servizio ruolo Accesso Web Desktop remoto

  • Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop

  • Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

  • Configurare un'origine RemoteApp per Connessione RemoteApp e desktop


Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali

Per offrire agli utenti l'accesso a desktop virtuali tramite Connessione RemoteApp e desktop, è necessario configurare un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali. I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Nota

Un server Host sessione Desktop remoto configurato per il reindirizzamento è necessario solo se si prevede di rendere disponibili i desktop virtuali agli utenti tramite Connessione RemoteApp e desktop.

Per configurare un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali, è necessario eseguire le procedure seguenti in un computer che esegue Windows Server 2008 R2:

  • Installare il servizio ruolo Host sessione Desktop remoto (per il reindirizzamento)

  • Configurare un server host sessione Desktop remoto per il reindirizzamento

Ulteriori riferimenti

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop


Installare il servizio ruolo Host sessione Desktop remoto (per il reindirizzamento)

La procedura per l'installazione del servizio ruolo Host sessione Desktop remoto per un server Host sessione Desktop remoto che offre il reindirizzamento a desktop virtuali è uguale alla procedura per l'installazione del servizio ruolo Host sessione Desktop remoto per un server Host sessione Desktop remoto che ospita Programmi RemoteApp, con un'eccezione:

  • Quando si utilizza Server Manager per installare il servizio ruolo Host sessione Desktop remoto per un server Host sessione Desktop remoto che offre il reindirizzamento a desktop virtuali, durante l'installazione del servizio ruolo verificare che nessuna casella di controllo sia selezionata nella pagina Configura esperienza client.

Inoltre non installare programmi in un server Host sessione Desktop remoto configurato per il reindirizzamento a desktop virtuali. Gli utenti non possono accedere a questi programmi come Programmi RemoteApp e non possono connettersi in modalità remota al desktop del server Host sessione Desktop remoto.

Per la procedura di installazione del servizio ruolo Host sessione Desktop remoto, vedere Installare il servizio ruolo Host sessione Desktop remoto.

Ulteriori riferimenti

  • Configurare un server host sessione Desktop remoto per il reindirizzamento

  • Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali


Configurare un server host sessione Desktop remoto per il reindirizzamento

Importante

Prima di configurare il server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali, verificare che l'account computer per il server Host sessione Desktop remoto sia un membro del gruppo Computer broker di sessione nel server Gestore connessione Desktop remoto. Per ulteriori informazioni, vedere Configurare i gruppi di sicurezza in un server Gestore connessione Desktop remoto.

Per configurare un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali tramite Connessione RemoteApp e desktop, utilizzare la procedura seguente.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Host sessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare il server host sessione Desktop remoto per il reindirizzamento

  1. Nel server Host sessione Desktop remoto aprire Configurazione host sessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Configurazione host sessione Desktop remoto.

  2. Nell'area Modifica impostazioni in Gestore connessione Desktop remoto fare doppio clic su Membro della farm in Gestore connessione desktop remoto.

  3. Nella scheda Gestore connessione Desktop remoto della finestra di dialogo Proprietà fare clic su Modifica impostazioni.

  4. Nella finestra di dialogo Impostazioni di Gestore connessione Desktop remoto fare clic su Reindirizzamento macchine virtuali.

  5. Nella casella Nome server Gestore connessione Desktop remoto digitare il nome del server Gestore connessione Desktop remoto.

    Nota

    Il server Gestore connessione Desktop remoto è il server in cui è installato il servizio ruolo Gestore connessione Desktop remoto.

  6. Fare clic su OK per chiudere la finestra di dialogo Impostazioni di Gestore connessione Desktop remoto.

  7. Verrà visualizzato un messaggio contenente informazioni sulle modifiche apportate quando si configura un server Host sessione Desktop remoto per il reindirizzamento delle macchine virtuali. Vengono applicate le modifiche seguenti al server Host sessione Desktop remoto:

    • La modalità di accesso utente viene modificata in Consenti le riconnessioni ma non i nuovi accessi.

    • Tutti i programmi vengono rimossi dall'elenco Programmi RemoteApp in Gestione RemoteApp.

    • Il gruppo Authenticated Users viene aggiunto al gruppo Utenti desktop remoto.

    Nota

    Per connettersi in modalità remota per amministrare un server Host sessione Desktop remoto configurato per il reindirizzamento delle macchine virtuali, utilizzare mstsc /admin.

  8. Fare clic su Sì per apportare le modifiche al server Host sessione Desktop remoto.

  9. Fare clic su OK per chiudere la finestra di dialogo Proprietà.

Ulteriori riferimenti

  • Installare il servizio ruolo Host sessione Desktop remoto (per il reindirizzamento)

  • Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali

  • Configurare un server Gestore connessione Desktop remoto per Connessione RemoteApp e desktop


Configurare Connessione RemoteApp e desktop

In questa sezione vengono descritte le procedure per la configurazione di Connessione RemoteApp e desktop. Sono inclusi gli argomenti seguenti:

  • Eseguire Gestione connessione Desktop remoto

  • Configurare le proprietà di Connessione RemoteApp e desktop

  • Configurare desktop virtuali per Connessione RemoteApp e desktop

  • Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

  • Aggiungere un'origine RemoteApp per Connessione RemoteApp e desktop

  • Configurare un pool di desktop virtuali per Connessione RemoteApp e desktop

  • Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop

  • Informazioni sulle assegnazioni di macchine virtuali

  • Informazioni sulla sicurezza di Connessione RemoteApp e desktop

Nota

È inoltre possibile utilizzare il modulo Servizi Desktop remoto per Windows PowerShell per visualizzare e configurare alcune impostazioni di Connessione RemoteApp e desktop. Per ulteriori informazioni sull'utilizzo di Windows PowerShell con Servizi Desktop remoto, vedere la pagina relativa ai riferimenti tecnici per Servizi Desktop remoto all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139898.

Ulteriori riferimenti

  • Panoramica di Connessione RemoteApp e desktop

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop


Eseguire Gestione connessione Desktop remoto

Lo strumento Gestione connessione Desktop remoto viene installato automaticamente in ogni computer in cui è installato il servizio ruolo Gestore connessione Desktop remoto. Se si desidera utilizzare Gestione connessione Desktop remoto in un altro computer che esegue Windows Server 2008 R2, è possibile installare Gestione connessione Desktop remoto in quel computer eseguendo la procedura seguente.

L'appartenenza al gruppo locale Administrators o equivalente, è il minimo indispensabile per completare questa procedura. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per installare Gestione connessione Desktop remoto utilizzando Server Manager

  1. Nel computer in cui si desidera installare Gestione connessione Desktop remoto, aprire Server Manager. Per aprire Gestione server, fare clic su Start, scegliere Strumenti di amministrazione e quindi fare clic su Gestione server.

  2. Nel riquadro sinistro fare clic con il pulsante destro del mouse su Funzionalità e quindi scegliere Aggiungi funzionalità.

  3. Nella pagina Selezione funzionalità espandere Strumenti di amministrazione remota del server, Strumenti di amministrazione ruoli e quindi Strumenti per Servizi Desktop remoto.

  4. Selezionare la casella di controllo Strumenti per Gestore connessione Desktop remoto e quindi fare clic su Avanti.

  5. Nella pagina Conferma selezioni per l'installazione fare clic su Installa.

  6. Nella pagina Stato installazione verrà indicato lo stato di avanzamento dell'installazione.

  7. Nella pagina Risultati installazione verificare che l'installazione di Strumenti per Gestore connessione Desktop remoto sia stata completata e quindi fare clic su Chiudi.

È possibile eseguire Gestione connessione Desktop remoto da una delle posizioni seguenti:

  • Menu Start

  • Server Manager

Nota

Gestione connessione Desktop remoto è disponibile in Server Manager solo se nel computer è installato il ruolo Servizi Desktop remoto.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per eseguire Gestione connessione Desktop remoto dal menu Start

  • Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  • Fare clic sul pulsante Start, scegliere Esegui, digitare sbmgr.msc e quindi premere INVIO.
Per eseguire Gestione connessione Desktop remoto da Server Manager

  1. Fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi fare clic su Server Manager.

  2. Nel riquadro sinistro espandere Ruoli, Servizi Desktop remoto e quindi fare clic su Gestione connessione Desktop remoto.

Ulteriori riferimenti

  • Installare il servizio ruolo Gestore connessione Desktop remoto

  • Configurare Connessione RemoteApp e desktop


Configurare le proprietà di Connessione RemoteApp e desktop

Per configurare le proprietà seguenti di Connessione RemoteApp e desktop, utilizzare la procedura seguente:

  • Nome visualizzato

  • ID connessione

  • Server Accesso Web Desktop remoto

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare le proprietà di Connessione RemoteApp e desktop

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Gestione connessione Desktop remoto: <ServerName>, dove <ServerName> è il nome del server Gestore connessione Desktop remoto.

  3. Scegliere Proprietà dal menu Azione.

  4. Nella finestra di dialogo Proprietà Connessione RemoteApp e desktop, nella casella Nome visualizzato della scheda Impostazioni di connessione, immettere il nome visualizzato per Connessione RemoteApp e desktop. Il nome visualizzato viene utilizzato per identificare le risorse di Connessione RemoteApp e desktop messe a disposizione degli utenti dal server Gestore connessione Desktop remoto. Questo nome viene visualizzato, ad esempio, facendo clic sul pulsante Start e scegliendo Tutti i programmi, in una cartella denominata Connessione RemoteApp e desktop in un computer che esegue Windows 7 e che è stato impostato per utilizzare Connessione RemoteApp e desktop messo a disposizione dal server Gestore connessione Desktop remoto.

    Nella casella ID connessione della scheda Impostazioni di connessione immettere un ID di connessione per Connessione RemoteApp e desktop. L'ID di connessione viene visualizzato quando l'utente esegue un Programma RemoteApp da un sito Web di Accesso Web Desktop remoto configurato per mettere a disposizione Connessione RemoteApp e desktop dal server Gestore connessione Desktop remoto.

    Nota

    Quando l'utente utilizza un computer che esegue Windows 7 per accedere al sito Web di Accesso Web Desktop remoto e il computer è impostato per accedere a Connessione RemoteApp e desktop messo a disposizione dal server Gestore connessione Desktop remoto, viene mostrato il nome visualizzato di Connessione RemoteApp e desktop e non l'ID di connessione.

  5. Nella finestra di dialogo Proprietà Connessione RemoteApp e desktop, nella casella Server Accesso Web Desktop remoto della scheda Accesso Web Desktop remoto, verificare che siano elencati i server Accesso Web Desktop remoto appropriati. I server Accesso Web Desktop remoto elencati sono i server Accesso Web Desktop remoto membri del gruppo Computer Accesso Web Desktop remoto nel server Gestore connessione Desktop remoto. I server Accesso Web Desktop remoto elencati possono visualizzare Connessione RemoteApp e desktop dal server Gestore connessione Desktop remoto. Per aggiungere un server Accesso Web Desktop remoto, immettere il nome del server Accesso Web Desktop remoto nella casella Nome server e quindi fare clic su Aggiungi.

Ulteriori riferimenti

  • Accedere a Connessione RemoteApp e desktop

  • Configurare un server Accesso Web Desktop remoto per Connessione RemoteApp e desktop

  • Configurare Connessione RemoteApp e desktop


Configurare desktop virtuali per Connessione RemoteApp e desktop

Per offrire agli utenti l'accesso a desktop virtuali tramite Connessione RemoteApp e desktop, è necessario configurare correttamente Gestore connessione Desktop remoto per l'utilizzo dei server indispensabili per il supporto dei desktop virtuali. I server necessari sono i seguenti:

  • Server Host di virtualizzazione Desktop remoto che ospitano le macchine virtuali da utilizzare come desktop virtuali.

  • Un server Host sessione Desktop remoto configurato per il reindirizzamento ai desktop virtuali.

  • Un server Accesso Web Desktop remoto tramite il quale vengono resi disponibili agli utenti i desktop virtuali.

Nota

I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Grazie allo strumento Gestione connessione Desktop remoto è possibile configurare Gestore connessione Desktop remoto per utilizzare questi server eseguendo una delle operazioni seguenti:

  • Specificare i server utilizzando la Configurazione guidata desktop virtuali.

  • Specificare manualmente i server utilizzando le finestre di dialogo appropriate.

Importante

Prima di eseguire la Configurazione guidata desktop virtuali o specificare manualmente i server, accertarsi che i server siano stati installati e siano disponibili in rete. Per ulteriori informazioni, vedere Configurare un ambiente per il supporto di Connessione RemoteApp e desktop.

Per informazioni sulla Configurazione guidata desktop virtuali, vedere Eseguire la Configurazione guidata desktop virtuali.

Per informazioni sulla specificazione manuale dei server, vedere gli argomenti seguenti:

  • Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

  • Configurare le impostazioni di reindirizzamento per i desktop virtuali

  • Configurare le proprietà di Connessione RemoteApp e desktop

Per informazioni su altre impostazioni dei desktop virtuali, vedere Configurare le impostazioni dei desktop virtuali.

Ulteriori riferimenti

  • Configurare Connessione RemoteApp e desktop

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali


Eseguire la Configurazione guidata desktop virtuali

La Configurazione guidata desktop virtuali presente nello strumento Gestione connessione Desktop remoto agevola la configurazione di Gestore connessione Desktop remoto per l'utilizzo dei server necessari per offrire agli utenti l'accesso ai desktop virtuali tramite Connessione RemoteApp e desktop. I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

La Configurazione guidata desktop virtuali consente di specificare i server seguenti da utilizzare per il supporto dei desktop virtuali:

  • Server Host di virtualizzazione Desktop remoto che ospitano le macchine virtuali da utilizzare come desktop virtuali.

  • Un server Host sessione Desktop remoto configurato per il reindirizzamento ai desktop virtuali.

  • Un server Accesso Web Desktop remoto tramite il quale vengono resi disponibili agli utenti i desktop virtuali.

Importante

Prima di eseguire la Configurazione guidata desktop virtuali, accertarsi che i server siano stati installati e siano disponibili in rete. Per ulteriori informazioni, vedere Configurare un ambiente per il supporto di Connessione RemoteApp e desktop.

Per eseguire la Configurazione guidata desktop virtuali, utilizzare la procedura seguente.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per eseguire la Configurazione guidata desktop virtuali

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Server Host di virtualizzazione Desktop remoto e quindi scegliere Configura desktop virtuali dal menu Azione.

  3. Nella pagina Prima di iniziare esaminare le informazioni e quindi fare clic su Avanti.

  4. Nella pagina Specificare un server Host di virtualizzazione Desktop remoto aggiungere o rimuovere i server Host di virtualizzazione Desktop remoto e quindi fare clic su Avanti.

  5. Nella pagina Configura impostazioni di reindirizzamento specificare le impostazioni di reindirizzamento appropriate. Per ulteriori informazioni, vedere Configurare le impostazioni di reindirizzamento per i desktop virtuali.

    Importante

    Per impostazione predefinita, la Configurazione guidata desktop virtuali configura il server Host sessione Desktop remoto specificato nella casella Nome server per il reindirizzamento. Se non si desidera configurare automaticamente il server Host sessione Desktop remoto, selezionare la casella di controllo Non configurare automaticamente. È quindi necessario configurare manualmente il server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali. Per ulteriori informazioni, vedere Configurare un server host sessione Desktop remoto per il reindirizzamento.

  6. Dopo aver specificato le informazioni appropriate, fare clic su Avanti.

  7. Nella pagina Specificare un server Accesso Web Desktop remoto immettere il nome del server Accesso Web Desktop remoto che visualizza Connessione RemoteApp e desktop dal server Gestore connessione Desktop remoto agli utenti e quindi fare clic su Avanti.

    Nota

    Se è già stato specificato un server Accesso Web Desktop remoto, non è possibile immettere un nome di server nella pagina Specificare un server Accesso Web Desktop remoto. Per informazioni sull'aggiunta manuale di altri server Accesso Web Desktop remoto, vedere Configurare le proprietà di Connessione RemoteApp e desktop.

  8. Nella pagina Conferma modifiche controllare le selezioni effettuate e quindi fare clic su Applica.

  9. Nella pagina Informazioni di riepilogo controllare le informazioni e quindi decidere se si desidera iniziare l'assegnazione di desktop personali virtuali agli utenti. Se si decide di assegnare un desktop virtuale personale, fare clic su Fine per avviare l'Assegnazione guidata desktop personale virtuale.

    Se si decide di non assegnare alcun desktop virtuale personale per il momento, deselezionare la casella di controllo Assegna desktop personale virtuale e quindi fare clic su Fine. Sarà possibile eseguire l'Assegnazione guidata desktop personale virtuale in seguito.

    Per ulteriori informazioni sull'Assegnazione guidata desktop personale virtuale, vedere Assegnare un desktop personale virtuale utilizzando l'Assegnazione guidata desktop personale virtuale
Nota

Se si desidera aggiungere o rimuovere server Host di virtualizzazione Desktop remoto oppure modificare le impostazioni di reindirizzamento, è possibile eseguire di nuovo la Configurazione guidata desktop virtuali e apportare le modifiche necessarie. È inoltre possibile apportare tali modifiche manualmente utilizzando le finestre di dialogo appropriate nello strumento Gestione connessione Desktop remoto.

Ulteriori riferimenti

  • Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

  • Configurare le impostazioni di reindirizzamento per i desktop virtuali

  • Configurare desktop virtuali per Connessione RemoteApp e desktop

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali


Configurare le impostazioni dei desktop virtuali

In questa sezione sono descritte le procedure per la configurazione delle impostazioni per i desktop virtuali nello strumento Gestione connessione Desktop remoto. I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Sono inclusi gli argomenti seguenti:

  • Configurare le impostazioni di reindirizzamento per i desktop virtuali

  • Configurare le impostazioni di Gateway Desktop remoto per i desktop virtuali

  • Informazioni sulla firma digitale di file per le connessioni a desktop virtuali

  • Configurare impostazioni comuni RDP per i desktop virtuali

  • Configurare impostazioni personalizzate RDP per i desktop virtuali

Ulteriori riferimenti

  • Configurare desktop virtuali per Connessione RemoteApp e desktop

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali


Configurare le impostazioni di reindirizzamento per i desktop virtuali

Per offrire agli utenti l'accesso a desktop virtuali tramite Connessione RemoteApp e desktop, è necessario specificare un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali. I desktop virtuali includono le macchine virtuali nei pool di desktop virtuali e i desktop personali virtuali.

Per informazioni sulla configurazione di un server Host sessione Desktop remoto per il reindirizzamento ai desktop virtuali, vedere Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali.

Le impostazioni di reindirizzamento configurate con lo strumento Gestione connessione Desktop remoto vengono utilizzate per le connessioni sia ai pool di desktop virtuali che ai desktop personali virtuali. Non è possibile specificare impostazioni di reindirizzamento diverse per i pool di desktop virtuali e i desktop personali virtuali.

Per configurare le impostazioni di reindirizzamento per i desktop virtuali utilizzando lo strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente.

Nota

È inoltre possibile configurare le impostazioni di reindirizzamento utilizzando la Configurazione guidata desktop virtuali. Per ulteriori informazioni, vedere Eseguire la Configurazione guidata desktop virtuali.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare le impostazioni di reindirizzamento

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Server Host di virtualizzazione Desktop remoto e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Impostazioni di reindirizzamento della finestra di dialogo Proprietà desktop virtuali, nella casella Nome server, immettere il nome NetBIOS o il nome di dominio completo (FQDN) del server Host sessione Desktop remoto configurato per offrire il reindirizzamento.

  4. Per offrire il reindirizzamento ai client che utilizzano Connessione desktop remoto 6.1 o versione precedente, selezionare la casella di controllo Abilita reindirizzamento per versioni RDC precedenti e quindi inserire un nome di server alternativo nella casella Nome server alternativo. Per informazioni sui nomi di server alternativi, vedere Configurare un nome di server alternativo per il reindirizzamento.

  5. Al termine fare clic su OK per chiudere la finestra di dialogo Proprietà desktop virtuali.

Ulteriori riferimenti

  • Configurare le impostazioni dei desktop virtuali

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali


Configurare un nome di server alternativo per il reindirizzamento

Per offrire il reindirizzamento ai desktop virtuali ai client che utilizzano Connessione desktop remoto 6.1 o versione precedente, è necessario specificare un nome di server alternativo nella scheda Impostazioni di reindirizzamento della finestra di dialogo Proprietà desktop virtuali nello strumento Gestione connessione Desktop remoto. Per informazioni sulla configurazione delle impostazioni di reindirizzamento per i desktop virtuali, vedere Configurare le impostazioni di reindirizzamento per i desktop virtuali.

Per configurare un nome di server alternativo, è necessario creare un record di risorse host DNS che associ il nome di server alternativo all'indirizzo IP del server Host sessione Desktop remoto configurato per il reindirizzamento ai desktop virtuali.

Importante

Il nome di server alternativo scelto è arbitrario. Verificare tuttavia che il nome di server alternativo selezionato non sia già utilizzato da un'altra risorsa di rete nell'ambiente o non sia già registrato in DNS.

Per configurare DNS in un controller di dominio basato su Windows Server 2008 R2, eseguire la procedura seguente.

Per eseguire questa procedura, è necessaria l'appartenenza al gruppo Domain Admins, Enterprise Admins o DnsAdmins.

Per aggiungere una voce DNS per un nome di server alternativo

  1. Aprire lo snap-in DNS. A tale scopo, accedere a un computer in cui lo snap-in DNS è stato installato, fare clic sul pulsante Start, scegliere Strumenti di amministrazione e quindi fare clic su DNS.

  2. Espandere il nome del server DNS che si desidera configurare, espandere Zone di ricerca diretta e quindi il nome del dominio.

  3. Fare clic con il pulsante destro del mouse sulla zona appropriata e quindi scegliere Nuovo host (A o AAAA).

  4. Nella casella Nome (se vuoto, utilizza il nome del dominio padre) digitare il nome del server alternativo.

  5. Nella casella Indirizzo IP digitare l'indirizzo IP del server Host sessione Desktop remoto configurato per il reindirizzamento ai desktop virtuali.

  6. Fare clic su Aggiungi host.

  7. Al termine fare clic su Fine.

Ulteriori riferimenti

  • Configurare le impostazioni dei desktop virtuali

  • Configurare un server host sessione Desktop remoto per il reindirizzamento a desktop virtuali


Configurare le impostazioni di Gateway Desktop remoto per i desktop virtuali

È possibile specificare se gli utenti si connettono a desktop virtuali utilizzando Gateway Desktop remoto. Queste impostazioni vengono applicate quando un utente si connette a un pool di desktop virtuali o a un desktop virtuale personale tramite Connessione RemoteApp e desktop. Le impostazioni di Gateway Desktop remoto si applicano sia ai pool di desktop virtuali che ai desktop personali virtuali. Non è possibile applicare impostazioni diverse ai pool di desktop virtuali e ai desktop personali virtuali.

Nota

Queste impostazioni si applicano soltanto a connessioni a desktop virtuali tramite Connessione RemoteApp e desktop. Per configurare le impostazioni di Gateway Desktop remoto per i Programmi RemoteApp disponibili mediante Connessione RemoteApp e desktop, utilizzare lo strumento Gestione RemoteApp nel server Host sessione Desktop remoto che ospita i Programmi RemoteApp. Per ulteriori informazioni, vedere la Guida di Gestione RemoteApp in Windows Server 2008 R2.

Per configurare le impostazioni di Gateway Desktop remoto per le connessioni a desktop virtuali utilizzando lo strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare le impostazioni di Gateway Desktop remoto

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Server Host di virtualizzazione Desktop remoto e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Impostazioni Gateway Desktop remoto della finestra di dialogo Proprietà desktop virtuali configurare il comportamento desiderato di Gateway Desktop remoto. È possibile impostare se rilevare automaticamente le impostazioni del server Gateway Desktop remoto, utilizzare le impostazioni del server Gateway Desktop remoto specificate o non utilizzare un server Gateway Desktop remoto.

    Se si seleziona Rileva automaticamente le impostazioni del server Gateway Desktop remoto, il client tenterà di utilizzare le impostazioni di Criteri di gruppo per determinare il comportamento delle connessioni client a Gateway Desktop remoto.

    Se si seleziona Usa le impostazioni seguenti per il server Gateway Desktop remoto, eseguire le operazioni seguenti:

    1. Configurare il nome del server Gateway Desktop remoto e il metodo di accesso.

      Importante

      Il nome del server deve corrispondere a quello specificato nel certificato SSL (Secure Sockets Layer) per il server Gateway Desktop remoto.

    2. Se si desidera tentare di utilizzare le stesse credenziali utente per accedere sia a Gateway Desktop remoto sia al desktop virtuale, selezionare la casella di controllo Usa le stesse credenziali utente per Gateway Desktop remoto e per i desktop virtuali. Gli utenti, tuttavia, potrebbero continuare a ricevere due richieste di credenziali se sono presenti credenziali in conflitto da una qualsiasi origine, quali le impostazioni di Criteri di gruppo, e se tali credenziali non funzionano. Potrebbero inoltre ricevere due richieste di credenziali se per la connessione vengono utilizzate credenziali predefinite che non funzionano.

    3. Se si desidera che i computer client rilevino automaticamente quando Gateway Desktop remoto è necessario, selezionare la casella di controllo Ignora il server Gateway Desktop remoto per gli indirizzi locali. Se si seleziona questa opzione, le prestazioni dei client verranno ottimizzate.

      Per utilizzare sempre un server Gateway Desktop remoto per le connessioni client, deselezionare la casella di controllo Ignora il server Gateway Desktop remoto per gli indirizzi locali.

  4. Al termine fare clic su OK per chiudere la finestra di dialogo Proprietà desktop virtuali.

Per ulteriori informazioni su Gateway Desktop remoto, vedere la pagina relativa a Servizi Desktop remoto nel sito Web TechCenter di Windows Server 2008 R2 all'indirizzo http://go.microsoft.com/fwlink/?LinkId=140433.

Per ulteriori informazioni sulle impostazioni di Criteri di gruppo per Servizi Desktop remoto, vedere la pagina relativa ai riferimenti tecnici per Servizi Desktop remoto all'indirizzo http://go.microsoft.com/fwlink/?LinkId=138134.

Ulteriori riferimenti

  • Configurare le impostazioni dei desktop virtuali

  • Informazioni sui pool di desktop virtuali

  • Informazioni sui desktop personali virtuali


Informazioni sulla firma digitale di file per le connessioni a desktop virtuali

È possibile utilizzare una firma digitale per firmare i file con estensione rdp utilizzati per le connessioni a desktop virtuali tramite Connessione RemoteApp e desktop. Sono inclusi i file rdp utilizzati per le connessioni ai pool di desktop virtuali e ai desktop personali virtuali.

Importante

Per connettersi a un desktop virtuale utilizzando un file rdp con firma digitale, il client deve eseguire almeno Connessione desktop remoto 6.1. Il client di Connessione desktop remoto 6.1 supporta Remote Desktop Protocol 6.1.

Se si utilizza un certificato digitale, la firma crittografata sul file rdp fornisce informazioni verificabili sull'identità dell'entità di pubblicazione. Questo consente ai client di riconoscere l'organizzazione come l'origine della connessione al desktop virtuale e di prendere decisioni più oculate sull'attendibilità per stabilire se avviare la connessione. Questo consente di proteggersi dall'uso di file con estensione rdp modificati da un utente malintenzionato.

È possibile firmare i file rdp utilizzati per le connessioni ai desktop virtuali utilizzando un certificato di autenticazione server [certificato SSL (Secure Sockets Layer)], un certificato di firma codice o uno speciale certificato di firma RDP (Remote Desktop Protocol). È possibile ottenere certificati SSL e di firma codice da autorità di certificazione pubbliche o da un'autorità di certificazione dell'organizzazione (enterprise) nella gerarchia dell'infrastruttura a chiave pubblica. Prima di poter utilizzare un certificato di firma RDP, è necessario configurare un'autorità di certificazione nell'organizzazione perché emetta certificati di firma RDP.

Se si sta già utilizzando un certificato SSL per le connessioni a un server Host sessione Desktop remoto o Gateway Desktop remoto, è possibile utilizzare lo stesso certificato per firmare i file con estensione rdp. Se tuttavia gli utenti si connettono a desktop virtuali da computer pubblici o di casa, è necessario utilizzare una delle opzioni seguenti:

  • Un certificato di un'autorità di certificazione pubblica che partecipa al programma Microsoft Root Certificate (http://go.microsoft.com/fwlink/?LinkID=59547).

  • Se si sta utilizzando un'autorità di certificazione dell'organizzazione (enterprise), il certificato emesso da tale autorità deve essere cofirmato da un'autorità di certificazione pubblica che partecipa al programma Microsoft Root Certificate.

Per configurare il certificato digitale con il quale firmare i file con estensione rdp per le connessioni a desktop virtuali, utilizzare la procedura seguente.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare il certificato digitale da utilizzare

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Server Host di virtualizzazione Desktop remoto e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Firma digitale della finestra di dialogo Proprietà desktop virtuali selezionare la casella di controllo Firma con un certificato digitale.

  4. Nella casella Dettagli certificato digitale fare clic su Seleziona.

  5. Nella finestra di dialogo Selezione certificato selezionare il certificato che si desidera utilizzare e quindi fare clic su OK.

    Nota

    La finestra di dialogo Selezione certificato è popolata da certificati presenti nell'archivio certificati del computer locale o nel proprio archivio certificati personali. Il certificato che si desidera utilizzare deve trovarsi in uno di questi archivi.

  6. Al termine fare clic su OK per chiudere la finestra di dialogo Proprietà desktop virtuali.

Per ulteriori informazioni sulla sicurezza di Connessione RemoteApp e desktop, vedere Informazioni sulla sicurezza di Connessione RemoteApp e desktop.

Utilizzare le impostazioni di Criteri di gruppo per controllare il comportamento dei client quando si apre un file con estensione rdp e firma digitale

È possibile utilizzare Criteri di gruppo per configurare i client a riconoscere sempre come trusted le connessioni ai desktop virtuali di una determinata entità di pubblicazione. È inoltre possibile configurare se i client bloccheranno le connessioni ai desktop virtuali da origini esterne o sconosciute. Utilizzando queste impostazioni dei criteri, è possibile ridurre il numero e la complessità delle decisioni di sicurezza che riguardano gli utenti, riducendo anche la possibilità di azioni involontarie degli utenti che potrebbero causare vulnerabilità di sicurezza.

Le impostazioni di Criteri di gruppo rilevanti sono:

  • Specifica identificazioni personali SHA1 di certificati che rappresentano autori RDP attendibili

  • Consenti file RDP di autori validi e impostazioni RDP predefinite dell'utente

  • Consenti file RDP di autori sconosciuti

Queste impostazioni di Criteri di gruppo sono disponibili in Configurazione computer\Criteri\Modelli amministrativi\Componenti di Windows\Servizi Desktop remoto\Client di Connessione desktop remoto e in Configurazione utente\Criteri\Modelli amministrativi\Componenti di Windows\Servizi Desktop remoto\Client di Connessione desktop remoto.

Queste impostazioni di Criteri di gruppo possono essere configurate utilizzando l'Editor Criteri di gruppo locali o la Console Gestione Criteri di gruppo.

Per ulteriori informazioni sulle impostazioni di Criteri di gruppo per Servizi Desktop remoto, vedere la pagina relativa ai riferimenti tecnici per Servizi Desktop remoto all'indirizzo http://go.microsoft.com/fwlink/?LinkId=138134.

Ulteriori riferimenti

  • Configurare le impostazioni dei desktop virtuali


Configurare impostazioni comuni RDP per i desktop virtuali

È possibile specificare impostazioni comuni RDP (Remote Desktop Protocol) per le connessioni ai desktop virtuali. Queste impostazioni vengono applicate quando un utente si connette a un pool di desktop virtuali o a un desktop virtuale personale tramite Connessione RemoteApp e desktop. Esistono impostazioni comuni RDP separate per i pool di desktop virtuali e i desktop personali virtuali.

Per configurare le impostazioni comuni RDP per le connessioni a desktop virtuali utilizzando lo strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare impostazioni comuni RDP

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro espandere Server Host di virtualizzazione Desktop remoto e quindi passare alla finestra di dialogo Proprietà appropriata.

    • Per i desktop virtuale personale, fare clic su Desktop virtuali personali e quindi scegliere Proprietà dal menu Azione.

    • Per un pool di desktop virtuali, fare clic sul nome del pool di desktop virtuali e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Impostazioni comuni RDP, in Dispositivi e risorse, selezionare i dispositivi e le risorse del computer client che si desidera rendere disponibili nella sessione remota.

  4. Nella scheda Impostazioni comuni RDP, in Impostazioni visualizzazione, scegliere se consentire i caratteri smussati e l'intensità di colore desiderata. È inoltre possibile scegliere se utilizzare tutti i monitor disponibili quando ci si connette al desktop virtuale.

  5. Al termine fare clic su Applica.

    Nota

    Per configurare ulteriori impostazioni RDP, come il reindirizzamento audio, fare clic sulla scheda Impostazioni personalizzate RDP. Per ulteriori informazioni, vedere Configurare impostazioni personalizzate RDP per i desktop virtuali.

  6. Per chiudere la finestra di dialogo Proprietà, fare clic su OK.

Per ulteriori informazioni sulle impostazioni RDP per Servizi Desktop remoto, vedere la pagina relativa ai riferimenti tecnici per Servizi Desktop remoto all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139899.

Ulteriori riferimenti

  • Configurare le impostazioni di Gateway Desktop remoto per i desktop virtuali

  • Configurare le proprietà dei desktop personali virtuali

  • Configurare le proprietà del pool di desktop virtuali

  • Configurare le impostazioni dei desktop virtuali


Configurare impostazioni personalizzate RDP per i desktop virtuali

È possibile specificare impostazioni personalizzate RDP (Remote Desktop Protocol), ad esempio il reindirizzamento audio, per le connessioni a desktop virtuali. Tali impostazioni vengono applicate quando un utente si connette a un pool di desktop virtuali o a un desktop virtuale personale tramite Connessione RemoteApp e desktop. Esistono impostazioni personalizzate RDP separate per i pool di desktop virtuali e i desktop personali virtuali.

Utilizzare la procedura seguente per specificare impostazioni personalizzate RDP per le connessioni a desktop virtuali utilizzando lo strumento Gestione connessione Desktop remoto.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per specificare impostazioni personalizzate RDP

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro espandere Server Host di virtualizzazione Desktop remoto e quindi passare alla finestra di dialogo Proprietà appropriata.

    • Per i desktop personali virtuali fare clic su Desktop virtuali personali e quindi scegliere Proprietà dal menu Azione.

    • Per un pool di desktop virtuali, fare clic sul nome del pool di desktop virtuali e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Impostazioni personalizzate RDP digitare o copiare le impostazioni personalizzate RDP che si desidera utilizzare nella casella Impostazioni RDP personalizzate.

    Per copiare impostazioni da un file con estensione rdp, aprire il file in un editor di testo quale Blocco note e quindi copiare le impostazioni desiderate.

    Importante

    Non è possibile ignorare le impostazioni che possono essere configurate altrove in Gestione connessione Desktop remoto, incluse le impostazioni del server Gateway Desktop remoto e le impostazioni comuni RDP. In caso contrario, verrà richiesto di rimuovere queste impostazioni quando si fa clic su Applica.

    Per creare un file con estensione rdp da cui copiare le impostazioni, eseguire la procedura seguente:

    1. Aprire il client di Connessione desktop remoto e quindi fare clic su Opzioni.

    2. Configurare le impostazioni desiderate, ad esempio il reindirizzamento audio.

    3. Al termine dell'operazione, nella scheda Generale fare clic su Salva con nome e quindi salvare il file con estensione rdp.

    4. Aprire il file con estensione rdp in Blocco note e quindi copiare le impostazioni desiderate nella casella Impostazioni RDP personalizzate della scheda Impostazioni personalizzate RDP.

  4. Dopo aver completato l'aggiunta delle impostazioni desiderate, fare clic su Applica.

  5. Se viene visualizzata la finestra di dialogo Errore nelle impostazioni personalizzate RDP, eseguire le operazioni seguenti:

    1. Fare clic su Rimuovi per rimuovere automaticamente le impostazioni che non sono valide o non possono essere ignorate o fare clic su OK per rimuovere le impostazioni manualmente.

    2. Dopo aver rimosso le impostazioni, fare nuovamente clic su Applica.

  6. Per chiudere la finestra di dialogo Proprietà, fare clic su OK.

Per ulteriori informazioni sulle impostazioni RDP per Servizi Desktop remoto, vedere la pagina relativa ai riferimenti tecnici per Servizi Desktop remoto all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139899.

Ulteriori riferimenti

  • Configurare impostazioni comuni RDP per i desktop virtuali

  • Configurare le impostazioni di Gateway Desktop remoto per i desktop virtuali

  • Configurare le proprietà dei desktop personali virtuali

  • Configurare le proprietà del pool di desktop virtuali

  • Configurare le impostazioni dei desktop virtuali


Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

Per aggiungere un server Host di virtualizzazione Desktop remoto tramite lo strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente. Quando si aggiunge un server Host di virtualizzazione Desktop remoto, le macchine virtuali ospitate nel server Host di virtualizzazione Desktop remoto possono essere utilizzate per i pool di desktop virtuali e i desktop personali virtuali in Connessione RemoteApp e desktop.

Nota

Tutte le macchine virtuali ospitate nel server Host di virtualizzazione Desktop remoto sono visualizzate nello strumento Gestione connessione Desktop remoto. Per escludere dalla visualizzazione una macchina virtuale, utilizzare il provider di Strumentazione gestione Windows (WMI) di Servizi Desktop remoto per configurare i metadati della macchina virtuale. Per ulteriori informazioni, vedere http://go.microsoft.com/fwlink/?LinkID=143455.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per aggiungere un server Host di virtualizzazione Desktop remoto

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Server Host di virtualizzazione Desktop remoto e quindi scegliere Aggiungi server Host di virtualizzazione Desktop remoto dal menu Azione.

  3. Nella casella Nome server Host di virtualizzazione Desktop remoto della finestra di dialogo Aggiungi server Host di virtualizzazione Desktop remoto immettere il nome del server Host di virtualizzazione Desktop remoto che ospita le macchine virtuali e quindi fare clic su Aggiungi.

  4. Il nome del server viene visualizzato nel riquadro centrale unitamente alle informazioni sul numero di macchine virtuali ospitate nel server Host di virtualizzazione Desktop remoto.

    Nota

    Quando si aggiunge un server Host di virtualizzazione Desktop remoto, l'account computer per il server Host di virtualizzazione Desktop remoto viene aggiunto automaticamente al gruppo Computer broker di sessione nel server Gestore connessione Desktop remoto.

  5. Per aggiungere altri server Host di virtualizzazione Desktop remoto, ripetere i passaggi precedenti.

    Per rimuovere un server Host di virtualizzazione Desktop remoto, fare clic sul nome del server e quindi scegliere Rimuovi server Host di virtualizzazione Desktop remoto dal menu Azione. Nella finestra di dialogo Rimuovi server Host di virtualizzazione Desktop remoto fare clic su Sì.

È inoltre possibile aggiungere un server Host di virtualizzazione Desktop remoto utilizzando la Configurazione guidata desktop virtuali. Per ulteriori informazioni, vedere Eseguire la Configurazione guidata desktop virtuali.

Ulteriori riferimenti

  • Configurare un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop

  • Informazioni sui desktop personali virtuali

  • Informazioni sui pool di desktop virtuali

  • Configurare Connessione RemoteApp e desktop


Aggiungere un'origine RemoteApp per Connessione RemoteApp e desktop

Per aggiungere un'Origine RemoteApp tramite lo strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente. Quando si aggiunge un'Origine RemoteApp, i Programmi RemoteApp di quella Origine RemoteApp sono disponibili agli utenti tramite Connessione RemoteApp e desktop. Un'Origine RemoteApp può essere un singolo server Host sessione Desktop remoto o una farm di server Host sessione Desktop remoto configurati in modo identico.

Nota

Il server Host sessione Desktop remoto può eseguire sia Windows Server 2008 R2 che Windows Server 2008.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per aggiungere un'origine RemoteApp

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Origini RemoteApp e quindi scegliere Aggiungi origine RemoteApp dal menu Azione.

  3. Nella finestra di dialogo Aggiungi origine RemoteApp, nella casella Nome origine RemoteApp, immettere il nome del server Host sessione Desktop remoto o il nome DNS della server farm Host sessione Desktop remoto che ospita i Programmi RemoteApp e quindi fare clic su Aggiungi.

    Nota

    Non immettere il nome di ogni server Host sessione Desktop remoto della server farm Host sessione Desktop remoto. In tal caso, gli utenti vedrebbero più istanze delle icone dei programmi RemoteApp.

  4. Il nome dell'Origine RemoteApp verrà visualizzato nel riquadro centrale. Per aggiungere un'altra Origine RemoteApp, ripetere i passaggi precedenti.

    Per rimuovere un'Origine RemoteApp, fare clic sul nome dell'Origine RemoteApp e quindi scegliere Rimuovi origine RemoteApp dal menu Azione. Nella finestra di dialogo Rimuovi origine RemoteApp fare clic su Sì.

Ulteriori riferimenti

  • Configurare un'origine RemoteApp per Connessione RemoteApp e desktop

  • Configurare Connessione RemoteApp e desktop


Configurare un pool di desktop virtuali per Connessione RemoteApp e desktop

È possibile raggruppare macchine virtuali configurate in modo identico in un pool di desktop virtuali e rendere tale pool di desktop virtuali disponibile tramite Connessione RemoteApp e desktop. Per ulteriori informazioni sui pool di desktop virtuali, vedere Informazioni sui pool di desktop virtuali.

In questa sezione vengono descritte le procedure per mettere a disposizione degli utenti i pool di desktop virtuali tramite Connessione RemoteApp e desktop. Sono inclusi gli argomenti seguenti:

  • Creare un pool di desktop virtuali per Connessione RemoteApp e desktop

  • Configurare le proprietà del pool di desktop virtuali

Ulteriori riferimenti

  • Configurare Connessione RemoteApp e desktop


Creare un pool di desktop virtuali per Connessione RemoteApp e desktop

Per creare un pool di desktop virtuali tramite la Creazione guidata pool di desktop virtuali nello strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente.

Importante

Prima di eseguire la Creazione guidata pool di desktop virtuali, verificare che un server Host di virtualizzazione Desktop remoto che ospita macchine virtuali sia stato aggiunto nello strumento Gestione connessione Desktop remoto. Per ulteriori informazioni, vedere Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per creare un pool di desktop virtuali

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Server Host di virtualizzazione Desktop remoto e quindi scegliere Crea pool di desktop virtuali dal menu Azione.

  3. Nella pagina Creazione guidata pool di desktop virtuali esaminare le informazioni e quindi fare clic su Avanti.

  4. Nella pagina Seleziona macchine virtuali selezionare le macchine virtuali che si desidera includere nel pool di desktop virtuali. Per selezionare una macchina virtuale, fare clic sul relativo nome. Per selezionare più macchine virtuali, utilizzare CTRL+clic o MAIUSC+clic.

  5. Dopo aver selezionato le macchine virtuali, fare clic su Avanti.

  6. Nella pagina Imposta proprietà pool immettere un nome visualizzato e un ID di pool. Il nome visualizzato è visibile dagli utenti quando il pool di desktop virtuali è visualizzato in Connessione RemoteApp e desktop. L'ID del pool non è visibile dagli utenti.

    Nota

    Se si sta creando un pool di desktop virtuali in un cluster di Gestore connessione Desktop remoto, verificare che il nome visualizzato e l'ID del pool siano uguali in tutti i nodi del cluster.

    Dopo aver immesso il nome visualizzato e l'ID del pool, fare clic su Avanti.

  7. Nella pagina Risultati fare clic su Fine.

  8. Il pool di desktop virtuali viene visualizzato nel riquadro sinistro sotto il nodo Server Host di virtualizzazione Desktop remoto.

    Nota

    Per informazioni sulla visualizzazione o la modifica delle proprietà di un pool di desktop virtuali, vedere Configurare le proprietà del pool di desktop virtuali.

Per gestire un pool di desktop virtuali esistente, è possibile eseguire le procedure seguenti:

  • Per aggiungere una macchina virtuale a un pool di desktop virtuali esistente, fare clic sul nome del pool di desktop virtuali e quindi scegliere Aggiungi macchine virtuali al pool dal menu Azione. Nella finestra di dialogo Aggiungi macchine virtuali selezionare le macchine virtuali che si desidera aggiungere al pool di desktop virtuali e quindi fare clic su Aggiungi.

  • Per rimuovere una macchina virtuale da un pool di desktop virtuali, fare clic sul nome della macchina virtuale e quindi scegliere Rimuovi macchina virtuale dal pool dal menu Azione. Nella finestra di dialogo Rimuovi macchina virtuale fare clic su Sì per confermare la rimozione.

  • Per eliminare un pool di desktop virtuali, fare clic sul nome del pool di desktop virtuali e scegliere Elimina pool di desktop virtuali dal menu Azione. Nella finestra di dialogo Elimina pool di desktop virtuali fare clic su Sì per confermare l'eliminazione.

Per informazioni su come visualizzare quali macchine virtuali siano membri di un pool di desktop virtuali, vedere Informazioni sulle assegnazioni di macchine virtuali.

Ulteriori riferimenti

  • Configurare un pool di desktop virtuali per Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop


Configurare le proprietà del pool di desktop virtuali

Per configurare le proprietà di un pool di desktop virtuali disponibile tramite Connessione RemoteApp e desktop, utilizzare la procedura seguente:

  • Nome visualizzato

  • Mostra in Connessione RemoteApp e desktop

  • Salva automaticamente macchine virtuali

  • Impostazioni comuni RDP

  • Impostazioni personalizzate RDP

Ogni pool di desktop virtuali dispone di proprie impostazioni delle proprietà.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare le proprietà di un pool di desktop virtuali

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro espandere Server Host di virtualizzazione Desktop remoto, fare clic sul nome del pool di desktop virtuali che si desidera configurare e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Generale della finestra di dialogo Proprietà eseguire le operazioni seguenti:

    • Verificare che la casella Nome visualizzato contenga il nome visualizzato agli utenti quando l'icona del pool di desktop virtuali appare in Connessione RemoteApp e desktop.

      È consigliabile non modificare l'ID del pool, che non è comunque visibile dagli utenti.

      Nota

      Se il pool di desktop virtuali fa parte di un cluster di Gestore connessione Desktop remoto, verificare che il nome visualizzato e l'ID del pool siano uguali in tutti i nodi del cluster.

    • Verificare che la casella di controllo Mostra in Connessione RemoteApp e desktop sia selezionata. Se la casella di controllo è selezionata, viene visualizzata un'icona per il pool di desktop virtuali in Connessione RemoteApp e desktop.

    • Selezionare la casella di controllo Salva automaticamente macchine virtuali per salvare automaticamente le macchine virtuali del pool di desktop virtuali dopo un determinato periodo di tempo se l'utente chiude la sessione o si disconnette. Se si seleziona la casella di controllo, specificare un periodo di tempo in minuti nella casella Attendi.

  4. Nella scheda Impostazioni comuni RDP della finestra di dialogo Proprietà specificare le impostazioni Remote Desktop Protocol (RDP) utilizzate quando i client si connettono a una macchina virtuale del pool di desktop virtuali. Per ulteriori informazioni, vedere Configurare impostazioni comuni RDP per i desktop virtuali.

  5. Nella scheda Impostazioni personalizzate RDP della finestra di dialogo Proprietà specificare eventuali impostazioni RDP aggiuntive non disponibili nella scheda Impostazioni comuni RDP. Per ulteriori informazioni, vedere Configurare impostazioni personalizzate RDP per i desktop virtuali.

Ulteriori riferimenti

  • Creare un pool di desktop virtuali per Connessione RemoteApp e desktop

  • Configurare un pool di desktop virtuali per Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop


Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop

In Servizi di dominio Active Directory è possibile assegnare a un utente una macchina virtuale specifica da utilizzare come desktop virtuale personale accessibile tramite Connessione RemoteApp e desktop. Per ulteriori informazioni sui desktop personali virtuali, vedere Informazioni sui desktop personali virtuali.

In questa sezione vengono descritte le procedure per mettere a disposizione degli utenti i desktop personali virtuali tramite Connessione RemoteApp e desktop. Sono inclusi gli argomenti seguenti:

  • Configurare le proprietà dei desktop personali virtuali

  • Assegnare un desktop virtuale personale utilizzando Utenti e computer di Active Directory

  • Assegnare un desktop personale virtuale utilizzando l'Assegnazione guidata desktop personale virtuale

Ulteriori riferimenti

  • Configurare Connessione RemoteApp e desktop


Configurare le proprietà dei desktop personali virtuali

Per configurare le proprietà dei desktop personali virtuali disponibili tramite Connessione RemoteApp e desktop, utilizzare la procedura seguente:

  • Mostra in Connessione RemoteApp e desktop

  • Salva automaticamente macchine virtuali

  • Impostazioni comuni RDP

  • Impostazioni personalizzate RDP

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per configurare le proprietà dei desktop personali virtuali

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro espandere Server Host di virtualizzazione Desktop remoto, fare clic su Desktop virtuali personali e quindi scegliere Proprietà dal menu Azione.

  3. Nella scheda Generale della finestra di dialogo Proprietà desktop virtuali personali verificare che la casella di controllo Mostra in Connessione RemoteApp e desktop sia selezionata. Se la casella di controllo è selezionata e all'utente è stato assegnato un desktop virtuale personale, in Connessione RemoteApp e desktop viene visualizzata l'icona di un desktop virtuale personale.

    Nella scheda Generale selezionare la casella di controllo Salva automaticamente macchine virtuali per salvare automaticamente le macchine virtuali utilizzate per i desktop personali virtuali dopo un determinato periodo di tempo se l'utente chiude la sessione o si disconnette. Se si seleziona la casella di controllo, specificare un periodo di tempo in minuti nella casella Attendi.

  4. Nella scheda Impostazioni comuni RDP della finestra di dialogo Proprietà desktop virtuali personali specificare le impostazioni RDP (Remote Desktop Protocol) utilizzate quando un client si connette a un desktop virtuale personale. Per ulteriori informazioni, vedere Configurare impostazioni comuni RDP per i desktop virtuali.

  5. Nella scheda Impostazioni personalizzate RDP della finestra di dialogo Proprietà desktop virtuali personali specificare eventuali impostazioni RDP aggiuntive non disponibili nella scheda Impostazioni comuni RDP. Per ulteriori informazioni, vedere Configurare impostazioni personalizzate RDP per i desktop virtuali.

Ulteriori riferimenti

  • Accedere a Connessione RemoteApp e desktop

  • Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop


Assegnare un desktop virtuale personale utilizzando Utenti e computer di Active Directory

Per assegnare un desktop virtuale personale a un utente utilizzando lo strumento Utenti e computer di Active Directory, utilizzare la procedura seguente.

Nota

È necessario utilizzare lo strumento Utenti e computer di Active Directory di Windows Server 2008 R2.

Per configurare le proprietà della maggior parte degli account utente di dominio, è necessaria almeno l'appartenenza al gruppo Account Operators o a un gruppo equivalente. In alcuni casi è necessaria almeno l'appartenenza al gruppo Domain Admins o a un gruppo equivalente. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per assegnare un desktop personale virtuale utilizzando Utenti e computer di Active Directory

  1. Aprire Utenti e computer di Active Directory. A tale scopo, accedere a un computer in cui è stato installato Utenti e computer di Active Directory, ad esempio in un controller di dominio Active Directory, fare clic sul pulsante Start, scegliere Esegui, digitare dsa.msc e quindi fare clic su OK.

  2. Individuare l'account utente a cui si desidera assegnare un desktop virtuale personale.

  3. Fare clic con il pulsante destro del mouse sull'account utente e quindi scegliere Proprietà.

  4. Nella scheda Desktop virtuale personale selezionare la casella di controllo Assegna desktop virtuale personale all'utente.

  5. Nella casella Nome computer digitare il nome di dominio completo (FQDN) del computer a cui si desidera assegnare l'utente. Per ricercare il nome del computer, fare clic su Sfoglia e quindi su Avanzate per utilizzare la finestra di dialogo Seleziona Computer a tale scopo.

    Importante

    Il nome della macchina virtuale nello strumento Console di gestione di Hyper-V deve corrispondere al nome di dominio completo del computer.

  6. Fare clic su OK per salvare le selezioni effettuate e chiudere la finestra di dialogo Proprietà.

Per rimuovere un'assegnazione, deselezionare la casella di controllo Assegna desktop virtuale personale all'utente. È inoltre possibile utilizzare lo strumento ADSI Edit per cancellare il valore dell'attributo msTSPrimaryDesktop nelle proprietà dell'account utente.

Per informazioni sulla visualizzazione di un elenco contenente le macchine virtuali assegnate agli utenti, vedere Informazioni sulle assegnazioni di macchine virtuali.

Ulteriori riferimenti

  • Assegnare un desktop personale virtuale utilizzando l'Assegnazione guidata desktop personale virtuale

  • Configurare le proprietà dei desktop personali virtuali

  • Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop


Assegnare un desktop personale virtuale utilizzando l'Assegnazione guidata desktop personale virtuale

Per assegnare un desktop virtuale personale a un utente tramite l'Assegnazione guidata desktop personale virtuale nello strumento Gestione connessione Desktop remoto, utilizzare la procedura seguente.

Importante

Prima di eseguire l'Assegnazione guidata desktop personale virtuale, verificare che un server Host di virtualizzazione Desktop remoto che ospita macchine virtuali sia stato aggiunto nello strumento Gestione connessione Desktop remoto. Per ulteriori informazioni, vedere Aggiungere un server Host di virtualizzazione Desktop remoto per Connessione RemoteApp e desktop.

Per configurare le proprietà della maggior parte degli account utente di dominio, è necessaria almeno l'appartenenza al gruppo Account Operators o a un gruppo equivalente. In alcuni casi è necessaria almeno l'appartenenza al gruppo Domain Admins o a un gruppo equivalente. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per assegnare un desktop personale virtuale tramite l'Assegnazione guidata desktop personale virtuale

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro espandere Server Host di virtualizzazione Desktop remoto e quindi fare clic su Desktop virtuali personali.

  3. Nel riquadro centrale, nella sezione Panoramica, fare clic su Assegna un desktop personale virtuale. Verrà avviata l'Assegnazione guidata desktop personale virtuale.

  4. Nella pagina Assegna desktop personale virtuale fare clic su Seleziona utente.

  5. Nella finestra di dialogo Seleziona Utente, nella casella Immettere il nome dell'oggetto da selezionare, specificare l'utente a cui assegnare un desktop virtuale personale e quindi fare clic su OK.

    Nota

    Se si seleziona un utente a cui è già stato assegnato un desktop virtuale personale, verrà chiesto se si desidera assegnare una macchina virtuale diversa all'utente.

  6. Nella casella Macchina virtuale selezionare la macchina virtuale da assegnare all'utente e quindi fare clic su Avanti.

    Nota

    Se si seleziona una macchina virtuale già assegnata a un utente, verrà chiesto se si desidera riassegnare la macchina virtuale selezionata all'utente specificato.

  7. Nella pagina Conferma assegnazione controllare le selezioni effettuate e quindi fare clic su Assegna.

  8. Nella pagina Riepilogo assegnazione confermare la riuscita dell'assegnazione. Se si desidera assegnare un'altra macchina virtuale a un altro utente, fare clic su Continua. In questo modo si tornerà alla pagina Assegnazione guidata desktop personale virtuale. Al termine, deselezionare la casella di controllo Assegna un'altra macchina virtuale a un altro utente e quindi fare clic su Fine.
Nota

È inoltre possibile eseguire l'Assegnazione guidata desktop personale virtuale al termine della Configurazione guidata desktop virtuali. Per ulteriori informazioni, vedere Eseguire la Configurazione guidata desktop virtuali.

Per informazioni sulla visualizzazione di un elenco contenente le macchine virtuali assegnate agli utenti, vedere Informazioni sulle assegnazioni di macchine virtuali.

Ulteriori riferimenti

  • Assegnare un desktop virtuale personale utilizzando Utenti e computer di Active Directory

  • Configurare le proprietà dei desktop personali virtuali

  • Assegnare un desktop personale virtuale per Connessione RemoteApp e desktop


Informazioni sulle assegnazioni di macchine virtuali

È possibile rendere disponibili agli utenti le macchine virtuali ospitate in un server Host di virtualizzazione Desktop remoto tramite Connessione RemoteApp e desktop in uno dei modi seguenti:

  • È possibile assegnare a un utente in Servizi di dominio Active Directory una macchina virtuale specifica da utilizzare come desktop virtuale personale.

  • È possibile raggruppare macchine virtuali configurate in modo identico in un pool di desktop virtuali.

Importante

Una macchina virtuale non dovrebbe essere membro di un pool di desktop virtuali e contemporaneamente essere assegnata a un utente come desktop virtuale personale.

Per visualizzare un elenco in cui identificare le macchine virtuali assegnate agli utenti come desktop virtuale personale e le macchine virtuali che sono membri di pool di desktop virtuali, utilizzare il cmdlet Get-VirtualDesktop, disponibile nel modulo Servizi Desktop remoto per Windows PowerShell. Per ulteriori informazioni sull'utilizzo di Windows PowerShell con Servizi Desktop remoto, vedere la pagina relativa ai riferimenti tecnici per Servizi Desktop remoto all'indirizzo http://go.microsoft.com/fwlink/?LinkId=139898.

Ulteriori riferimenti

  • Informazioni sui desktop personali virtuali

  • Informazioni sui pool di desktop virtuali

  • Configurare Connessione RemoteApp e desktop


Informazioni sulla sicurezza di Connessione RemoteApp e desktop

Requisiti dei certificati per l'utilizzo di Connessione RemoteApp e desktop in Windows 7

Quando un utente configura e accede a Connessione RemoteApp e desktop in un computer che esegue Windows 7, il computer comunica con il server Accesso Web Desktop remoto. Un server Accesso Web Desktop remoto che esegue Windows Server 2008 R2 viene configurato automaticamente per utilizzare Secure Sockets Layer (SSL). Il computer che esegue Windows 7 deve pertanto essere configurato per considerare attendibile il certificato utilizzato dal server Accesso Web Desktop remoto.

Importante

Un server Accesso Web Desktop remoto che esegue Windows Server 2008 R2 viene configurato automaticamente per utilizzare un certificato autofirmato. Per impostazione predefinita, il certificato autofirmato non è considerato attendibile da Windows 7. I certificati autofirmati sono consigliati solo a scopo di valutazione o per eseguire test.

Per consentire al computer Windows 7 di comunicare con il server Accesso Web Desktop remoto, è consigliabile configurare il server Accesso Web Desktop remoto per utilizzare un certificato attendibile, ad esempio un certificato emesso da un'Autorità di certificazione pubblica attendibile. Per informazioni sulle Autorità di certificazione commerciali di terze parti considerate attendibili da Microsoft, vedere l'articolo 931125 della Microsoft Knowledge Base all'indirizzo http://go.microsoft.com/fwlink/?LinkID=59547. Dopo aver ottenuto un certificato attendibile per il server Accesso Web Desktop remoto, è necessario importarlo nel server Accesso Web Desktop remoto e utilizzare lo strumento Gestione Internet Information Services per associare il certificato al sito Web di Accesso Web Desktop remoto.

Per ulteriori informazioni sulla sicurezza di Accesso Web Desktop remoto, vedere http://go.microsoft.com/fwlink/?LinkId=142242.

Single Sign-On per Connessione RemoteApp e desktop

È possibile configurare Single Sign-On per i Programmi RemoteApp quando gli utenti accedono a Connessione RemoteApp e desktop dal menu Start in un computer che esegue Windows 7 o utilizzando il sito Web messo a disposizione da Accesso Web Desktop remoto. Dopo aver specificato le credenziali appropriate quando richieste da Windows 7 o essersi connesso al sito Web di Accesso Web Desktop remoto, l'utente può eseguire i Programmi RemoteApp senza dover specificare di nuovo le credenziali nella stessa sessione di Connessione RemoteApp e desktop.

Le considerazioni seguenti sono importanti quando si configura Single Sign-On per Connessione RemoteApp e desktop:

  • È necessario firmare i file con estensione rdp per i Programmi RemoteApp con un certificato digitale utilizzando lo strumento Gestione RemoteApp. Per ulteriori informazioni, vedere la Guida di Gestione RemoteApp in Windows Server 2008 R2.

  • È possibile configurare Single Sign-On solo per i Programmi RemoteApp. Non è possibile configurare Single Sign-On per gli utenti che accedono ai desktop remoti tramite Connessione RemoteApp e desktop.

  • Per utilizzare Single Sign-On, è necessario utilizzare Connessione desktop remoto 7.0, che supporta Remote Desktop Protocol 7.0. Connessione desktop remoto 7.0 è disponibile in Windows 7.

  • Tutti i server Host sessione Desktop remoto dovrebbero firmare i propri file rdp per i relativi Programmi RemoteApp con lo stesso certificato.

  • Il server Gestore connessione Desktop remoto dovrebbe essere configurato per utilizzare lo stesso certificato usato dai server Host sessione Desktop remoto.

Per ulteriori informazioni sulla sicurezza di Connessione RemoteApp e desktop, vedere http://go.microsoft.com/fwlink/?LinkId=143454.

Ulteriori riferimenti

  • Informazioni sulla firma digitale di file per le connessioni a desktop virtuali

  • Configurare Connessione RemoteApp e desktop


Accedere a Connessione RemoteApp e desktop

In questa sezione vengono descritte le procedure per accedere a Connessione RemoteApp e desktop. Sono inclusi gli argomenti seguenti:

  • Creare un file di configurazione client per Connessione RemoteApp e desktop

  • Accedere a Connessione RemoteApp e desktop utilizzando Windows 7

  • Accedere a Connessione RemoteApp e desktop utilizzando il sito Web di Accesso Web Desktop remoto

Ulteriori riferimenti

  • Panoramica di Connessione RemoteApp e desktop

  • Configurare un ambiente per il supporto di Connessione RemoteApp e desktop

  • Configurare Connessione RemoteApp e desktop


Creare un file di configurazione client per Connessione RemoteApp e desktop

Per aiutare gli utenti finali nella configurazione di Connessione RemoteApp e desktop in un computer che esegue Windows 7, è possibile creare un file di configurazione di Connessione RemoteApp e desktop da distribuire agli utenti finali.

Per creare un nuovo file di configurazione di Connessione RemoteApp e desktop, utilizzare la procedura seguente.

Per completare questa procedura, è necessaria almeno l'appartenenza al gruppo Administrators locale oppure a un gruppo equivalente nel server Gestore connessione Desktop remoto che si intende configurare. Per ulteriori informazioni sull'utilizzo degli account e delle appartenenze di gruppo appropriati, vedere http://go.microsoft.com/fwlink/?LinkId=83477 (la pagina potrebbe essere in inglese).

Per creare un file di configurazione

  1. Nel server Gestore connessione Desktop remoto aprire Gestione connessione Desktop remoto. A tale scopo, fare clic sul pulsante Start, scegliere Strumenti di amministrazione, Servizi Desktop remoto e quindi Gestione connessione Desktop remoto.

  2. Nel riquadro sinistro fare clic su Gestione connessione Desktop remoto: <ServerName>, dove <ServerName> è il nome del server Gestore connessione Desktop remoto.

  3. Scegliere Crea file di configurazione dal menu Azione.

  4. Nella finestra di dialogo Crea file di configurazione, nella casella URL feed connessione RemoteApp e desktop, immettere l'URL di Connessione RemoteApp e desktop che specifica il server Accesso Web Desktop remoto che mette a disposizione le risorse di Connessione RemoteApp e desktop agli utenti. Quando si specifica l'URL, utilizzare il nome di dominio completo (FQDN) del server Accesso Web Desktop remoto, ad esempio immettere https://server1.contoso.com/RDWeb/Feed/webfeed.aspx.

    Nota

    RDWeb è il nome della directory virtuale predefinita utilizzata da Accesso Web Desktop remoto. Se nell'implementazione di Accesso Web Desktop remoto viene utilizzato un nome di directory virtuale diverso, specificarlo nell'URL.

  5. Fare clic su Salva, specificare un nome di file e un percorso di cartella e quindi fare clic su Salva.

  6. Distribuire il file di configurazione agli utenti finali.

Per informazioni sull'utilizzo del file di configurazione per impostare Connessione RemoteApp e desktop in un computer che esegue Windows 7, vedere Accedere a Connessione RemoteApp e desktop utilizzando Windows 7.

Risorse aggiuntive

  • Accedere a Connessione RemoteApp e desktop


Accedere a Connessione RemoteApp e desktop utilizzando Windows 7

È possibile configurare Connessione RemoteApp e desktop in un computer che esegue Windows 7 specificando un URL o utilizzando un file di configurazione fornito dall'amministratore. Per ulteriori informazioni sulla creazione di un file di configurazione, vedere Creare un file di configurazione client per Connessione RemoteApp e desktop.

Per configurare Connessione RemoteApp e desktop in un computer che esegue Windows 7, utilizzare le procedure seguenti. Ripetere le procedure per ogni connessione che si desidera configurare.

Per completare queste procedure, è possibile utilizzare qualsiasi account utente.

Per configurare Connessione RemoteApp e desktop tramite un URL

  1. In un computer che esegue Windows 7 fare clic sul pulsante Start e scegliere Pannello di controllo.

  2. Nella casella di ricerca digitare RemoteApp e quindi fare clic su Connessione RemoteApp e desktop.

  3. Fare clic su Configurare una nuova connessione con Connessione RemoteApp e desktop.

  4. Nella casella URL connessione digitare l'URL della connessione fornito dall'amministratore, ad esempio https://server1.contoso.com/RDWeb/Feed/webfeed.aspx.

  5. Fare clic su Avanti.

  6. Nella pagina Pronto per la configurazione della connessione fare clic su Avanti.

  7. Al termine della configurazione della connessione, annotare il nome della connessione, ad esempio Contoso, e quindi fare clic su Fine.

  8. Chiudere Connessione RemoteApp e desktop.

  9. Per accedere alla connessione, fare clic sul pulsante Start, scegliere Tutti i programmi, Connessione RemoteApp e desktop e quindi fare clic sul nome della connessione, ad esempio Contoso. I programmi e i desktop remoti disponibili come parte della connessione sono elencati sotto il nome della connessione. Fare clic sul programma o sul desktop remoto che si desidera utilizzare.
Per configurare Connessione RemoteApp e desktop tramite un file di configurazione

  1. In un computer che esegue Windows 7 fare doppio clic sul file di configurazione fornito dall'amministratore.

  2. Nella pagina Pronto per la configurazione della connessione fare clic su Avanti.

  3. Al termine della configurazione della connessione, annotare il nome della connessione, ad esempio Contoso, e quindi fare clic su Fine.

  4. Per accedere alla connessione, fare clic sul pulsante Start, scegliere Tutti i programmi, Connessione RemoteApp e desktop e quindi fare clic sul nome della connessione, ad esempio Contoso. I programmi e i desktop remoti disponibili come parte della connessione sono elencati sotto il nome della connessione. Fare clic sul programma o sul desktop remoto che si desidera utilizzare.

Ulteriori riferimenti

  • Accedere a Connessione RemoteApp e desktop utilizzando il sito Web di Accesso Web Desktop remoto

  • Accedere a Connessione RemoteApp e desktop


Accedere a Connessione RemoteApp e desktop utilizzando il sito Web di Accesso Web Desktop remoto

Gli utenti possono accedere a Connessione RemoteApp e desktop da un Web browser connettendosi a un sito Web di Accesso Web Desktop remoto. Per accedere a Connessione RemoteApp e desktop da un Web browser, il client deve utilizzare almeno Connessione desktop remoto 6.1 e almeno Internet Explorer 6.

Per impostazione predefinita, è possibile accedere a un sito Web di Accesso Web Desktop remoto all'indirizzo https://servername/rdweb, in cui server_name è il nome di dominio completo (FQDN) del server Web in cui è stato installato Accesso Web Desktop remoto.

Dopo essersi connesso a un sito Web di Accesso Web Desktop remoto e aver presentato le credenziali appropriate, l'utente visualizza le risorse disponibili tramite Connessione RemoteApp e desktop, che possono includere uno qualunque o tutti gli elementi seguenti:

  • Icone di Programmi RemoteApp e desktop dalle Origine RemoteApp, se le Origine RemoteApp sono state specificate nello strumento Gestione connessione Desktop remoto.

  • Un'icona che rappresenta un desktop virtuale personale, se all'utente è stato assegnato un desktop virtuale personale. Per ulteriori informazioni sui desktop personali virtuali, vedere Informazioni sui desktop personali virtuali.

  • Un'icona che rappresenta un pool di desktop virtuali, se un pool di desktop virtuali è stato configurato nello strumento Gestione connessione Desktop remoto. Possono esserci più icone di questo tipo, ognuna delle quali rappresenta un pool di desktop virtuali diverso. Per ulteriori informazioni sui pool di desktop virtuali, vedere Informazioni sui pool di desktop virtuali.

Ulteriori riferimenti

  • Accedere a Connessione RemoteApp e desktop utilizzando Windows 7

  • Accedere a Connessione RemoteApp e desktop

  • Aggiungere un'origine RemoteApp per Connessione RemoteApp e desktop